#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_719()
{
    // event 510_3
    {
        // group: Drop Bro
        enemydroppo_200_instances.clear_selection();
        for (ObjectIterator it(enemydroppo_200_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+30))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-30))) { it.deselect(); continue; }
        }
        if (!enemydroppo_200_instances.has_selection()) goto event_510_3_end;
        if (not_always_510_3_0 > loop_count) {
            not_always_510_3_0 = loop_count + 2;
            goto event_510_3_end;
        }
        not_always_510_3_0 = loop_count + 2;
        FrameObject * single_instance_510_3_1; single_instance_510_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydroppo_200_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_dropposhot_201(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_510_3_1 == NULL)
                    single_instance_510_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_510_3_1))->get_movement()->set_speed(25);
        ((Active*)((Active*)single_instance_510_3_1))->set_direction(24);
    }
    event_510_3_end: ;
}
void Frames::event_func_720()
{
    // event 512_3
    {
        // group: Drop Bro
        dropposhot_201_instances.clear_selection();
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!dropposhot_201_instances.has_selection()) goto event_512_3_end;
        if (not_always_512_3_0 > loop_count) {
            not_always_512_3_0 = loop_count + 2;
            goto event_512_3_end;
        }
        not_always_512_3_0 = loop_count + 2;
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 2); // 'droppo-shot'
        }
        // select single: false false true
        SavedSelection extra_dropposhot_201_instances(dropposhot_201_instances);
        for (SavedIterator p_it(extra_dropposhot_201_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_dropposhot_201(parent->x + 0, parent->y + 0), parent->layer);
            }
        }
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_512_3_end: ;
}
void Frames::event_func_721()
{
    // event 513_3
    {
        // group: Drop Bro
        dropposhot_201_instances.clear_selection();
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!dropposhot_201_instances.has_selection()) goto event_513_3_end;
        if (not_always_513_3_0 > loop_count) {
            not_always_513_3_0 = loop_count + 2;
            goto event_513_3_end;
        }
        not_always_513_3_0 = loop_count + 2;
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 2); // 'droppo-shot'
        }
        // select single: false false true
        SavedSelection extra_dropposhot_201_instances(dropposhot_201_instances);
        for (SavedIterator p_it(extra_dropposhot_201_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_dropposhot_201(parent->x + 0, parent->y + 0), parent->layer);
            }
        }
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_513_3_end: ;
}
void Frames::event_func_722()
{
    // event 515_3
    {
        // group: Drop Bro
        enemydroppo_200_instances.clear_selection();
        for (ObjectIterator it(enemydroppo_200_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydroppo_200_instances.has_selection()) goto event_515_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemydroppo_200_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemydroppo_200_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_515_3_0; single_instance_515_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydroppo_200_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_515_3_0 == NULL)
                    single_instance_515_3_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemydroppo_200_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_515_3_end: ;
}
void Frames::event_func_723()
{
    // event 517_3
    {
        // group: Drop Bro
        dropposhot_201_instances.clear_selection();
        if (!check_not_overlap(dropposhot_201_instances, screen_126_instances)) goto event_517_3_end;
        for (ObjectIterator it(dropposhot_201_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_517_3_end: ;
}
void Frames::event_func_724()
{
    // event 518_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_518_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
    }
    event_518_3_end: ;
}
void Frames::event_func_725()
{
    // event 519_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_71_instances))->get_y()+96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_71_instances))->get_y()-96))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_519_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-rockiship'
        }
    }
    event_519_3_end: ;
}
void Frames::event_func_726()
{
    // event 520_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_520_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemyrockiship_205_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemyrockiship_205_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_520_3_0; single_instance_520_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyrockiship_205_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_520_3_0 == NULL)
                    single_instance_520_3_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_520_3_end: ;
}
void Frames::event_func_727()
{
    // event 524_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_524_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-rockiship'
        }
    }
    event_524_3_end: ;
}
void Frames::event_func_728()
{
    // event 525_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_525_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-rockiship'
        }
    }
    event_525_3_end: ;
}
void Frames::event_func_729()
{
    // event 526_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (6))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_526_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-rockiship'
        }
    }
    event_526_3_end: ;
}
void Frames::event_func_730()
{
    // event 527_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        if (!check_not_overlap(enemyrockiship_205_instances, screen_126_instances)) goto event_527_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_527_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_527_3_end: ;
}
void Frames::event_func_731()
{
    // event 528_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (70))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_528_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+3);
        }
    }
    event_528_3_end: ;
}
void Frames::event_func_732()
{
    // event 529_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_529_3_end;
        if (not_always_529_3_0 > loop_count) {
            not_always_529_3_0 = loop_count + 2;
            goto event_529_3_end;
        }
        not_always_529_3_0 = loop_count + 2;
        media.set_sample_volume(SOUND_BOOM_16, 0.3*global_values->get(12));
        media.play_id(SOUND_BOOM_16, -1, 1);
    }
    event_529_3_end: ;
}
void Frames::event_func_733()
{
    // event 530_3
    {
        // group: Rock-It Ship
        enemyrockiship_205_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(enemyrockiship_205_instances, objeyeblock_147_instances)) goto event_530_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_205_instances.has_selection()) goto event_530_3_end;
        for (ObjectIterator it(enemyrockiship_205_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 6); // 'enemy-rockiship'
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-rockiship'
        }
    }
    event_530_3_end: ;
}
void Frames::event_func_734()
{
    // event 535_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (3))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_535_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestar'
        }
    }
    event_535_3_end: ;
}
void Frames::event_func_735()
{
    // event 536_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (3))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_536_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 2); // 'enemy-lonestar'
        }
    }
    event_536_3_end: ;
}
void Frames::event_func_736()
{
    // event 538_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, get_abs(((Active*)*it)->get_x()-((Active*)*it)->alterables->values.get(2))); // 'enemy-lonestar'
        }
    }
    event_538_3_end: ;
}
void Frames::event_func_737()
{
    // event 539_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_539_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(10);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
            ((Active*)*it)->set_direction(11);
        }
    }
    event_539_3_end: ;
}
void Frames::event_func_738()
{
    // event 540_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_540_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(9);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_540_3_end: ;
}
void Frames::event_func_739()
{
    // event 541_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_541_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_541_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_541_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_541_3_end: ;
}
void Frames::event_func_740()
{
    // event 542_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_542_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (1))) goto event_542_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_542_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_542_3_end: ;
}
void Frames::event_func_741()
{
    // event 543_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_543_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(6);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_543_3_end: ;
}
void Frames::event_func_742()
{
    // event 544_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_544_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(7);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_544_3_end: ;
}
void Frames::event_func_743()
{
    // event 545_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_545_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_545_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_545_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_545_3_end: ;
}
void Frames::event_func_744()
{
    // event 546_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_546_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (1))) goto event_546_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_546_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_546_3_end: ;
}
void Frames::event_func_745()
{
    // event 547_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_547_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(6);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
            ((Active*)*it)->set_direction(5);
        }
    }
    event_547_3_end: ;
}
void Frames::event_func_746()
{
    // event 548_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_548_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(7);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_548_3_end: ;
}
void Frames::event_func_747()
{
    // event 549_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_549_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (1))) goto event_549_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_549_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_549_3_end: ;
}
void Frames::event_func_748()
{
    // event 550_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_550_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_550_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_550_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_550_3_end: ;
}
void Frames::event_func_749()
{
    // event 551_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_551_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(10);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_551_3_end: ;
}
void Frames::event_func_750()
{
    // event 552_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_552_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(9);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_552_3_end: ;
}
void Frames::event_func_751()
{
    // event 553_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_553_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (1))) goto event_553_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_553_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_553_3_end: ;
}
void Frames::event_func_752()
{
    // event 554_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_554_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_554_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_554_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_554_3_end: ;
}
void Frames::event_func_753()
{
    // event 557_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_557_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemylonestar_211_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemylonestar_211_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_557_3_0; single_instance_557_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestar_211_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + -10), parent->layer);
                if (single_instance_557_3_0 == NULL)
                    single_instance_557_3_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_557_3_end: ;
}
void Frames::event_func_754()
{
    // event 561_3
    {
        // group: Lonestar Jr
        spawnerlonestar_212_instances.clear_selection();
        for (ObjectIterator it(spawnerlonestar_212_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerlonestar_212_instances.has_selection()) goto event_561_3_end;
        for (ObjectIterator it(spawnerlonestar_212_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-lonestar'
        }
    }
    event_561_3_end: ;
}
void Frames::event_func_755()
{
    // event 562_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_562_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-lonestar'
        }
    }
    event_562_3_end: ;
}
void Frames::event_func_756()
{
    // event 563_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_563_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-lonestar'
        }
    }
    event_563_3_end: ;
}
void Frames::event_func_757()
{
    // event 564_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_564_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_564_3_end: ;
}
void Frames::event_func_758()
{
    // event 565_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(16)) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_565_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_565_3_end: ;
}
void Frames::event_func_759()
{
    // event 566_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_566_3_end;
        if (not_always_566_3_0 > loop_count) {
            not_always_566_3_0 = loop_count + 2;
            goto event_566_3_end;
        }
        not_always_566_3_0 = loop_count + 2;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_566_3_end: ;
}
void Frames::event_func_760()
{
    // event 567_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_567_3_end;
        if (not_always_567_3_0 > loop_count) {
            not_always_567_3_0 = loop_count + 2;
            goto event_567_3_end;
        }
        not_always_567_3_0 = loop_count + 2;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_567_3_end: ;
}
void Frames::event_func_761()
{
    // event 568_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_568_3_end;
        if (not_always_568_3_0 > loop_count) {
            not_always_568_3_0 = loop_count + 2;
            goto event_568_3_end;
        }
        not_always_568_3_0 = loop_count + 2;
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.5);
    }
    event_568_3_end: ;
}
void Frames::event_func_762()
{
    // event 569_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(16))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_569_3_end;
        if (not_always_569_3_0 > loop_count) {
            not_always_569_3_0 = loop_count + 2;
            goto event_569_3_end;
        }
        not_always_569_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_569_3_1; single_instance_569_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestar_211_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_569_3_1 == NULL)
                    single_instance_569_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_569_3_1))->set_direction(get_direction_int(((Active*)single_instance_569_3_1)->x, ((Active*)single_instance_569_3_1)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        ((Active*)((Active*)single_instance_569_3_1))->get_movement()->set_speed(60);
    }
    event_569_3_end: ;
}
void Frames::event_func_763()
{
    // event 570_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(17))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_570_3_end;
        if (not_always_570_3_0 > loop_count) {
            not_always_570_3_0 = loop_count + 2;
            goto event_570_3_end;
        }
        not_always_570_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_570_3_1; single_instance_570_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestar_211_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_570_3_1 == NULL)
                    single_instance_570_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_570_3_1))->set_direction(get_direction_int(((Active*)single_instance_570_3_1)->x, ((Active*)single_instance_570_3_1)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        ((Active*)((Active*)single_instance_570_3_1))->get_movement()->set_speed(60);
    }
    event_570_3_end: ;
}
void Frames::event_func_764()
{
    // event 571_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        if (!check_not_overlap(enemylonestar_211_instances, screen_126_instances)) goto event_571_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(8, 1); // 'enemy-lonestar'
        }
    }
    event_571_3_end: ;
}
void Frames::event_func_765()
{
    // event 572_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) >= (60))) { it.deselect(); continue; }
        }
        if (!enemylonestar_211_instances.has_selection()) goto event_572_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_572_3_end: ;
}
void Frames::event_func_766()
{
    // event 573_3
    {
        // group: Lonestar Jr
        enemylonestar_211_instances.clear_selection();
        screen_126_instances.clear_selection();
        if (!check_overlap(enemylonestar_211_instances, screen_126_instances)) goto event_573_3_end;
        for (ObjectIterator it(enemylonestar_211_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(8, 0); // 'enemy-lonestar'
        }
    }
    event_573_3_end: ;
}
void Frames::event_func_767()
{
    // event 580_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_580_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, -1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_580_3_end: ;
}
void Frames::event_func_768()
{
    // event 581_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_581_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_581_3_end: ;
}
void Frames::event_func_769()
{
    // event 582_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_71_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_582_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_582_3_end: ;
}
void Frames::event_func_770()
{
    // event 583_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_71_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_583_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, -1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_583_3_end: ;
}
void Frames::event_func_771()
{
    // event 584_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(3));
        }
    }
    event_584_3_end: ;
}
void Frames::event_func_772()
{
    // event 585_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_585_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, (((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_585_3_end: ;
}
void Frames::event_func_773()
{
    // event 586_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_586_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, ((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0); // 'enemy-evileye'
        }
    }
    event_586_3_end: ;
}
void Frames::event_func_774()
{
    // event 587_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_587_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, (((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_587_3_end: ;
}
void Frames::event_func_775()
{
    // event 588_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_588_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, ((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0); // 'enemy-evileye'
        }
    }
    event_588_3_end: ;
}
void Frames::event_func_776()
{
    // event 589_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (((Active*)*it)->alterables->values.get(4)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_589_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(4)); // 'enemy-evileye'
        }
    }
    event_589_3_end: ;
}
void Frames::event_func_777()
{
    // event 590_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (-1*((Active*)*it)->alterables->values.get(4)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_590_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -1*((Active*)*it)->alterables->values.get(4)); // 'enemy-evileye'
        }
    }
    event_590_3_end: ;
}
void Frames::event_func_778()
{
    // event 591_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_591_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, ((Active*)*it)->alterables->values.get(5)); // 'enemy-evileye'
        }
    }
    event_591_3_end: ;
}
void Frames::event_func_779()
{
    // event 592_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) < (-1*((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_592_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, -1*((Active*)*it)->alterables->values.get(5)); // 'enemy-evileye'
        }
    }
    event_592_3_end: ;
}
void Frames::event_func_780()
{
    // event 595_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_595_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemyevileye_222_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemyevileye_222_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_595_3_0; single_instance_595_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyevileye_222_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_595_3_0 == NULL)
                    single_instance_595_3_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_595_3_end: ;
}
void Frames::event_func_781()
{
    // event 600_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_600_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_600_3_end: ;
}
void Frames::event_func_782()
{
    // event 601_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_601_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(enemyevileye_222_instances, screen_126_instances)) goto event_601_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(9, 1); // 'enemy-evileye'
        }
    }
    event_601_3_end: ;
}
void Frames::event_func_783()
{
    // event 602_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(9)) == (((Active*)*it)->alterables->values.get(10)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_602_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 0); // 'enemy-evileye'
            ((Active*)*it)->force_animation(13);
        }
        media.set_sample_volume(SOUND_WEUW_26, 0.35*global_values->get(12));
        media.stop_sample(SOUND_WEUW_26);
        media.play_id(SOUND_WEUW_26, -1, 1);
    }
    event_602_3_end: ;
}
void Frames::event_func_784()
{
    // event 603_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 13)) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_603_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, (((Active*)get_instance(player_71_instances))->get_x()-((Active*)*it)->get_x())/MathHelper()/(sqrt((((Active*)get_instance(player_71_instances))->get_x()-((Active*)*it)->get_x())*MathHelper()*2+(((Active*)get_instance(player_71_instances))->get_y()-((Active*)*it)->get_y())*MathHelper()*2))*2.5); // 'enemy-evileye'
            ((Active*)*it)->alterables->values.add(3, (((Active*)get_instance(player_71_instances))->get_y()-((Active*)*it)->get_y())/MathHelper()/(sqrt((((Active*)get_instance(player_71_instances))->get_x()-((Active*)*it)->get_x())*MathHelper()*2+(((Active*)get_instance(player_71_instances))->get_y()-((Active*)*it)->get_y())*MathHelper()*2))*-2.5); // 'enemy-evileye'
        }
        FrameObject * single_instance_603_3_0; single_instance_603_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyevileye_222_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_603_3_0 == NULL)
                    single_instance_603_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_603_3_0))->get_movement()->set_speed(60);
        ((Active*)((Active*)single_instance_603_3_0))->set_direction(get_direction_int(((Active*)single_instance_603_3_0)->x, ((Active*)single_instance_603_3_0)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
    }
    event_603_3_end: ;
}
void Frames::event_func_785()
{
    // event 604_3
    {
        // group: Evil Eye
        spawnerevileye_223_instances.clear_selection();
        for (ObjectIterator it(spawnerevileye_223_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerevileye_223_instances.has_selection()) goto event_604_3_end;
        for (ObjectIterator it(spawnerevileye_223_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-evileye'
        }
    }
    event_604_3_end: ;
}
void Frames::event_func_786()
{
    // event 605_3
    {
        // group: Evil Eye
        spawnersnipereye_224_instances.clear_selection();
        for (ObjectIterator it(spawnersnipereye_224_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnersnipereye_224_instances.has_selection()) goto event_605_3_end;
        for (ObjectIterator it(spawnersnipereye_224_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-snipereye'
        }
    }
    event_605_3_end: ;
}
void Frames::event_func_787()
{
    // event 606_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        if (!check_not_overlap(enemyevileye_222_instances, screen_126_instances)) goto event_606_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_606_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 0); // 'enemy-evileye'
        }
    }
    event_606_3_end: ;
}
void Frames::event_func_788()
{
    // event 607_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->is_animation_finished(14))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_607_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_607_3_end: ;
}
void Frames::event_func_789()
{
    // event 608_3
    {
        // group: Evil Eye
        enemyevileye_222_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (0))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->is_animation_finished(14))) { it.deselect(); continue; }
        }
        if (!enemyevileye_222_instances.has_selection()) goto event_608_3_end;
        for (ObjectIterator it(enemyevileye_222_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_608_3_end: ;
}
void Frames::event_func_790()
{
    // event 613_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        screen_126_instances.clear_selection();
        if (!check_overlap(enemytoolio_238_instances, screen_126_instances)) goto event_613_3_end;
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'enemy-toolio'
        }
    }
    event_613_3_end: ;
}
void Frames::event_func_791()
{
    // event 614_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (165))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) >= (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemytoolio_238_instances.has_selection()) goto event_614_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, enemytoolio_238_instances)) goto event_614_3_end;
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
            ((Active*)*it)->force_animation(1);
        }
        FrameObject * single_instance_614_3_0; single_instance_614_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_238_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyhomingcog_239(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_614_3_0 == NULL)
                    single_instance_614_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_614_3_0))->set_direction(16);
    }
    event_614_3_end: ;
}
void Frames::event_func_792()
{
    // event 615_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (165))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) <= (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemytoolio_238_instances.has_selection()) goto event_615_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, enemytoolio_238_instances)) goto event_615_3_end;
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
            ((Active*)*it)->force_animation(1);
        }
        FrameObject * single_instance_615_3_0; single_instance_615_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_238_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyhomingcog_239(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_615_3_0 == NULL)
                    single_instance_615_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_615_3_0))->set_direction(0);
    }
    event_615_3_end: ;
}
void Frames::event_func_793()
{
    // event 616_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (165))) { it.deselect(); continue; }
        }
        if (!enemytoolio_238_instances.has_selection()) goto event_616_3_end;
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
        }
    }
    event_616_3_end: ;
}
void Frames::event_func_794()
{
    // event 617_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) <= (((Active*)get_instance(player_71_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_239_instances.has_selection()) goto event_617_3_end;
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(24);
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-homing-cog'
        }
    }
    event_617_3_end: ;
}
void Frames::event_func_795()
{
    // event 618_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_71_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_239_instances.has_selection()) goto event_618_3_end;
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(8);
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-homing-cog'
        }
    }
    event_618_3_end: ;
}
void Frames::event_func_796()
{
    // event 620_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
        }
        if (!enemytoolio_238_instances.has_selection()) goto event_620_3_end;
        if (not_always_620_3_0 > loop_count) {
            not_always_620_3_0 = loop_count + 2;
            goto event_620_3_end;
        }
        not_always_620_3_0 = loop_count + 2;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_620_3_1; single_instance_620_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_238_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_620_3_1 == NULL)
                    single_instance_620_3_1 = new_obj;
            }
        }
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemytoolio_238_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemytoolio_238_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_620_3_end: ;
}
void Frames::event_func_797()
{
    // event 624_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        if (!check_not_overlap(enemyhomingcog_239_instances, screen_126_instances)) goto event_624_3_end;
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_624_3_end: ;
}
void Frames::event_func_798()
{
    // event 626_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (25))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_239_instances.has_selection()) goto event_626_3_end;
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+1);
        }
    }
    event_626_3_end: ;
}
void Frames::event_func_799()
{
    // event 627_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_239_instances.has_selection()) goto event_627_3_end;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_627_3_0; single_instance_627_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyhomingcog_239_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_627_3_0 == NULL)
                    single_instance_627_3_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemyhomingcog_239_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemyhomingcog_239_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(3);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_627_3_end: ;
}
void Frames::event_func_800()
{
    // event 628_3
    {
        // group: Shootythingy
        enemyhomingcog_239_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_239_instances.has_selection()) goto event_628_3_end;
        for (ObjectIterator it(enemyhomingcog_239_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_628_3_end: ;
}
void Frames::event_func_801()
{
    // event 630_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
    }
    event_630_3_end: ;
}
void Frames::event_func_802()
{
    // event 631_3
    {
        // group: Shootythingy
        enemytoolio_238_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 2)) { it.deselect(); continue; }
        }
        if (!enemytoolio_238_instances.has_selection()) goto event_631_3_end;
        for (ObjectIterator it(enemytoolio_238_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_631_3_end: ;
}
void Frames::event_func_803()
{
    // event 633_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_633_3_end;
        if (!((((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(7)) == (0))) goto event_633_3_end;
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->alterables->values.get(0)+1); // 'enemy-boxman'
        }
    }
    event_633_3_end: ;
}
void Frames::event_func_804()
{
    // event 634_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_634_3_end;
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(0)));
        }
    }
    event_634_3_end: ;
}
void Frames::event_func_805()
{
    // event 635_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_635_3_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_3();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
    }
    event_635_3_end: ;
}
void Frames::event_func_806()
{
    // event 637_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_637_3_end;
        if (!(false)) goto event_637_3_end;
            loop_boxmaninground_running = false;
    
    }
    event_637_3_end: ;
}
void Frames::event_func_807()
{
    // event 639_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_639_3_end;
        FrameObject * single_instance_639_3_0; single_instance_639_3_0 = pick_random(enemyboxman_240_instances);
        if (single_instance_639_3_0 == NULL) goto event_639_3_end;
        ((Active*)((Active*)single_instance_639_3_0))->destroy();
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)single_instance_639_3_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)single_instance_639_3_0)->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_639_3_1; single_instance_639_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_108(((Active*)single_instance_639_3_0)->get_action_x() - ((Active*)single_instance_639_3_0)->layer->off_x + 0, ((Active*)single_instance_639_3_0)->get_action_y() - ((Active*)single_instance_639_3_0)->layer->off_y + 0), ((Active*)single_instance_639_3_0)->layer);
            if (single_instance_639_3_1 == NULL)
                single_instance_639_3_1 = new_obj;
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_639_3_end: ;
}
void Frames::event_func_808()
{
    // event 641_3
    {
        // group: Boxman
        every_641_3_0 += manager.dt;
        if (every_641_3_0 < 2.2) goto event_641_3_end;
        every_641_3_0 -= 2.2;
        screenfar_259_instances.clear_selection();
        enemyboxspawner_241_instances.clear_selection();
        if (!check_overlap(screenfar_259_instances, enemyboxspawner_241_instances)) goto event_641_3_end;
        FrameObject * single_instance_641_3_1; single_instance_641_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyboxspawner_241_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyboxman_240(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_641_3_1 == NULL)
                    single_instance_641_3_1 = new_obj;
            }
        }
    }
    event_641_3_end: ;
}
void Frames::event_func_809()
{
    // event 646_3
    {
        // group: Boxman
        enemyboxspawner_241_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_241_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_241_instances.has_selection()) goto event_646_3_end;
        FrameObject * single_instance_646_3_0; single_instance_646_3_0 = pick_random(enemyboxspawner_241_instances);
        if (single_instance_646_3_0 == NULL) goto event_646_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)single_instance_646_3_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)single_instance_646_3_0)->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_646_3_1; single_instance_646_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_108(((Active*)single_instance_646_3_0)->get_action_x() - ((Active*)single_instance_646_3_0)->layer->off_x + 15, ((Active*)single_instance_646_3_0)->get_action_y() - ((Active*)single_instance_646_3_0)->layer->off_y + -15), ((Active*)single_instance_646_3_0)->layer);
            if (single_instance_646_3_1 == NULL)
                single_instance_646_3_1 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)((Active*)single_instance_646_3_0))->destroy();
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_646_3_end: ;
}
void Frames::event_func_810()
{
    // event 647_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (17))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_647_3_end;
        if (!check_not_overlap(enemyboxman_240_instances, objcogblock_243_instances)) goto event_647_3_end;
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(17);
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_647_3_end: ;
}
void Frames::event_func_811()
{
    // event 648_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (50))) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_648_3_end;
        enemyboxspawner_241_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_241_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_648_3_end: ;
}
void Frames::event_func_812()
{
    // event 649_3
    {
        // group: Boxman
        enemyboxspawner_241_instances.clear_selection();
        enemyright_137_instances.clear_selection();
        if (!check_overlap(enemyboxspawner_241_instances, enemyright_137_instances)) goto event_649_3_end;
        for (ObjectIterator it(enemyboxspawner_241_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_649_3_end: ;
}
void Frames::event_func_813()
{
    // event 651_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-boxman'
        }
    }
    event_651_3_end: ;
}
void Frames::event_func_814()
{
    // event 653_3
    {
        // group: Boxman
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.add(7, 1); // 'FrameDataStore'
    }
    event_653_3_end: ;
}
void Frames::event_func_815()
{
    // event 654_3
    {
        // group: Boxman
        if (!((((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(7)) >= (5))) goto event_654_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(7, 0); // 'FrameDataStore'
    }
    event_654_3_end: ;
}
void Frames::event_func_816()
{
    // event 656_3
    {
        // group: Cog blocks (2)
        enemyboxman_240_instances.clear_selection();
        objcogblock_243_instances.clear_selection();
        if (!check_overlap(enemyboxman_240_instances, objcogblock_243_instances)) goto event_656_3_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_3();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
    }
    event_656_3_end: ;
}
void Frames::event_func_817()
{
    // event 658_3
    {
        // group: Cog blocks (2)
        enemyboxman_240_instances.clear_selection();
        if (!check_not_overlap(enemyboxman_240_instances, objcogblock_243_instances)) goto event_658_3_end;
        if (!(false)) goto event_658_3_end;
            loop_boxmaninground_running = false;
    
    }
    event_658_3_end: ;
}
void Frames::event_func_818()
{
    // event 662_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_662_3_end;
        FrameObject * single_instance_662_3_0; single_instance_662_3_0 = pick_random(enemygearoflaw_242_instances);
        if (single_instance_662_3_0 == NULL) goto event_662_3_end;
        FrameObject * single_instance_662_3_1; single_instance_662_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_108(((Active*)single_instance_662_3_0)->get_action_x() - ((Active*)single_instance_662_3_0)->layer->off_x + 0, ((Active*)single_instance_662_3_0)->get_action_y() - ((Active*)single_instance_662_3_0)->layer->off_y + 0), ((Active*)single_instance_662_3_0)->layer);
            if (single_instance_662_3_1 == NULL)
                single_instance_662_3_1 = new_obj;
        }
        ((Active*)((Active*)single_instance_662_3_0))->destroy();
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)single_instance_662_3_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)single_instance_662_3_0)->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_662_3_end: ;
}
