#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_177()
{
    // event 33_3
    {
        // group: Horizontal
        player_71_instances.clear_selection();
        door_81_instances.clear_selection();
        if (!check_overlap(player_71_instances, door_81_instances)) goto event_33_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_33_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_33_3_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_33_3_1;
            ((Active*)get_instance(detectorbelow_245_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_33_3_1: ;
        }
    }
    event_33_3_end: ;
}
void Frames::event_func_178()
{
    // event 34_3
    {
        // group: Horizontal
        if (!(((Active*)get_instance(player_71_instances))->overlaps_background())) goto event_34_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_34_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_34_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_34_3_1;
            ((Active*)get_instance(detectorbelow_245_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_34_3_1: ;
        }
    }
    event_34_3_end: ;
}
void Frames::event_func_179()
{
    // event 149_3
    {
        // group: Vert Platforms
        player_71_instances.clear_selection();
        vertplatform_84_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertplatform_84_instances)) goto event_149_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_149_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_149_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_149_3_end: ;
}
void Frames::event_func_180()
{
    // event 266_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntstatic_109_instances)) goto event_266_3_end;
        if (!check_not_overlap(tntstatic_109_instances, conveyorl_78_instances)) goto event_266_3_end;
        if (!check_not_overlap(tntstatic_109_instances, conveyorr_79_instances)) goto event_266_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_266_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_266_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_266_3_end: ;
}
void Frames::event_func_181()
{
    // event 267_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntconveyor_117_instances)) goto event_267_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_267_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_267_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_267_3_end: ;
}
void Frames::event_func_182()
{
    // event 268_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntconveyor_117_instances)) goto event_268_3_end;
        conveyorl_78_instances.clear_selection();
        if (!check_overlap(tntconveyor_117_instances, conveyorl_78_instances)) goto event_268_3_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_268_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_268_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()-2);
    }
    event_268_3_end: ;
}
void Frames::event_func_183()
{
    // event 269_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntconveyor_117_instances)) goto event_269_3_end;
        conveyorr_79_instances.clear_selection();
        if (!check_overlap(tntconveyor_117_instances, conveyorr_79_instances)) goto event_269_3_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_269_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_269_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+2);
    }
    event_269_3_end: ;
}
void Frames::event_func_184()
{
    // event 270_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntstatic_109_instances)) goto event_270_3_end;
        conveyorl_78_instances.clear_selection();
        if (!check_overlap(tntstatic_109_instances, conveyorl_78_instances)) goto event_270_3_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_270_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_270_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()-2);
    }
    event_270_3_end: ;
}
void Frames::event_func_185()
{
    // event 271_3
    {
        // group: Crates
        player_71_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntstatic_109_instances)) goto event_271_3_end;
        conveyorr_79_instances.clear_selection();
        if (!check_overlap(tntstatic_109_instances, conveyorr_79_instances)) goto event_271_3_end;
            loop_horiz_running = false;
    
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_271_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_271_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+2);
    }
    event_271_3_end: ;
}
void Frames::event_func_186()
{
    // event 728_3
    {
        // group: Disappearing Blocks
        player_71_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(player_71_instances, dissappear_131_instances)) goto event_728_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_728_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_728_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_728_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_728_3_end: ;
}
void Frames::event_func_187()
{
    // event 753_3
    {
        // group: Eyeblock
        player_71_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(player_71_instances, objeyeblock_147_instances)) goto event_753_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_753_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_753_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_753_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_753_3_end: ;
}
void Frames::event_func_188()
{
    // event 851_3
    {
        // group: Enemy Gates
        player_71_instances.clear_selection();
        objenemygate_213_instances.clear_selection();
        if (!check_overlap(player_71_instances, objenemygate_213_instances)) goto event_851_3_end;
        for (ObjectIterator it(objenemygate_213_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_213_instances.has_selection()) goto event_851_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_851_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_851_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_851_3_end: ;
}
void Frames::event_func_189()
{
    // event 950_3
    {
        // group: Clockwork Block
        player_71_instances.clear_selection();
        objcogblock_243_instances.clear_selection();
        if (!check_overlap(player_71_instances, objcogblock_243_instances)) goto event_950_3_end;
        for (ObjectIterator it(objcogblock_243_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_243_instances.has_selection()) goto event_950_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_950_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_950_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_950_3_end: ;
}
void Frames::event_func_190()
{
    // event 972_3
    {
        // group: Crumble Block
        player_71_instances.clear_selection();
        objeyeblock3_244_instances.clear_selection();
        if (!check_overlap(player_71_instances, objeyeblock3_244_instances)) goto event_972_3_end;
        for (ObjectIterator it(objeyeblock3_244_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock3_244_instances.has_selection()) goto event_972_3_end;
            loop_horiz_running = false;
    
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+(0-((Active*)get_instance(player_71_instances))->alterables->values.get(1)/MathHelper()/get_abs(((Active*)get_instance(player_71_instances))->alterables->values.get(1))));
        ((Active*)get_instance(player_71_instances))->alterables->values.set(1, 0); // 'Player'
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            if (parent == NULL) goto pos_end_972_3_0;
            ((Active*)get_instance(detector_72_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_972_3_0: ;
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_972_3_end: ;
}
void Frames::loop_horiz_3()
{
    event_func_175();
    event_func_176();
    event_func_177();
    event_func_178();
    event_func_179();
    event_func_180();
    event_func_181();
    event_func_182();
    event_func_183();
    event_func_184();
    event_func_185();
    event_func_186();
    event_func_187();
    event_func_188();
    event_func_189();
    event_func_190();
}
void Frames::event_func_191()
{
    // event 636_3
    {
        // group: Boxman
        enemyboxman_240_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyboxman_240_instances.has_selection()) goto event_636_3_end;
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_636_3_end: ;
}
void Frames::event_func_192()
{
    // event 657_3
    {
        // group: Cog blocks (2)
        enemyboxman_240_instances.clear_selection();
        objcogblock_243_instances.clear_selection();
        if (!check_overlap(enemyboxman_240_instances, objcogblock_243_instances)) goto event_657_3_end;
        for (ObjectIterator it(enemyboxman_240_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-1);
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_657_3_end: ;
}
void Frames::loop_boxmaninground_3()
{
    event_func_191();
    event_func_192();
}
void Frames::event_func_193()
{
    // event 820_3
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_820_3_end: ;
}
void Frames::col_0_3()
{
    event_func_193();
}
void Frames::event_func_194()
{
    // event 844_3
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_844_3_end: ;
}
void Frames::col_1_3()
{
    event_func_194();
}
void Frames::event_func_195()
{
    // event 373_3
    {
        // group: Atom Bomb
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_373_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_373_3_end: ;
}
void Frames::col_2_3()
{
    event_func_195();
}
void Frames::event_func_196()
{
    // event 261_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_261_3_0; single_instance_261_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_156(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_261_3_0 == NULL)
                single_instance_261_3_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_261_3_end: ;
}
void Frames::col_3_3()
{
    event_func_196();
}
void Frames::event_func_197()
{
    // event 255_3
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
    }
    event_255_3_end: ;
}
void Frames::col_4_3()
{
    event_func_197();
}
void Frames::event_func_198()
{
    // event 421_3
    {
        // group: Walker
        if (!((((Active*)col_instance_1)->alterables->values.get(2)) == (1))) goto event_421_3_end;
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(((Active*)col_instance_2)->get_movement()->get_speed()/MathHelper()/3);
    }
    event_421_3_end: ;
}
void Frames::col_5_3()
{
    event_func_198();
}
void Frames::event_func_199()
{
    // event 937_3
    {
        // group: Incentives
        if (!((global_values->get(0)) <= (90.0))) goto event_937_3_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_937_3_end;
        global_values->add(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_937_3_end: ;
}
void Frames::event_func_200()
{
    // event 940_3
    {
        // group: Incentives
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_940_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-bonus-deathless'
        media.play_id(SOUND_SQUEAKYBOOM_30, -1, 1);
        media.set_sample_volume(SOUND_SQUEAKYBOOM_30, 0.8*global_values->get(12));
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 15); // 'camera shaker'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        global_values->add(2, 1);
        ((Active*)get_instance(uilivesactive_237_instances))->force_animation(12);
        {
            loop_debris_confetti_running = true;
            int times = int(20);
            loop_debris_confetti_index = 0;
            while (loop_debris_confetti_index < times) {
                loop_debris_confetti_3();
                if (!loop_debris_confetti_running) break;
                loop_debris_confetti_index++;
            }
        }
    }
    event_940_3_end: ;
}
void Frames::col_7_3()
{
    event_func_199();
    event_func_200();
}
void Frames::event_func_201()
{
    // event 534_3
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(0);
    }
    event_534_3_end: ;
}
void Frames::col_8_3()
{
    event_func_201();
}
void Frames::event_func_202()
{
    // event 286_3
    {
        // group: Crates
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_286_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 46); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_286_3_end: ;
}
void Frames::col_9_3()
{
    event_func_202();
}
void Frames::event_func_203()
{
    // event 623_3
    {
        // group: Shootythingy
        if (!check_not_overlap(((Active*)col_instance_2), enemytoolio_238_instances)) goto event_623_3_end;
        FrameObject * single_instance_623_3_0; single_instance_623_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemytoolio_238(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_623_3_0 == NULL)
                single_instance_623_3_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_623_3_0))->alterables->values.set(0, 110); // 'enemy-toolio'
    }
    event_623_3_end: ;
}
void Frames::col_10_3()
{
    event_func_203();
}
void Frames::event_func_204()
{
    // event 230_3
    {
        media.play_id(SOUND_KEY_11, -1, 1);
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12)*1.0);
    }
    event_230_3_end: ;
}
void Frames::col_12_3()
{
    event_func_204();
}
void Frames::event_func_205()
{
    // event 207_3
    {
        // group: Sounds
        if (not_always_207_3_0 > loop_count) {
            not_always_207_3_0 = loop_count + 2;
            goto event_207_3_end;
        }
        not_always_207_3_0 = loop_count + 2;
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_207_3_end: ;
}
void Frames::event_func_206()
{
    // event 660_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 1); // 'enemy-gearoflaw'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_660_3_end: ;
}
void Frames::col_13_3()
{
    event_func_205();
    event_func_206();
}
void Frames::event_func_207()
{
    // event 277_3
    {
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_277_3_end: ;
}
void Frames::col_14_3()
{
    event_func_207();
}
void Frames::event_func_208()
{
    // event 221_3
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_221_3_end: ;
}
void Frames::event_func_209()
{
    // event 765_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_765_3_end: ;
}
void Frames::col_15_3()
{
    event_func_208();
    event_func_209();
}
void Frames::event_func_210()
{
    // event 559_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_559_3_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(1)) == (0))) goto event_559_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 50); // 'spawner-lonestar'
        FrameObject * single_instance_559_3_0; single_instance_559_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemylonestarnew_260(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_559_3_0 == NULL)
                single_instance_559_3_0 = new_obj;
        }
    }
    event_559_3_end: ;
}
void Frames::event_func_211()
{
    // event 560_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_560_3_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(1)) == (1))) goto event_560_3_end;
        FrameObject * single_instance_560_3_0; single_instance_560_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemylonestar_211(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_560_3_0 == NULL)
                single_instance_560_3_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_560_3_0))->alterables->values.set(2, ((Active*)col_instance_2)->get_x()+100); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 50); // 'spawner-lonestar'
        ((Active*)((Active*)single_instance_560_3_0))->alterables->values.set(3, 18); // 'enemy-lonestar'
    }
    event_560_3_end: ;
}
void Frames::col_16_3()
{
    event_func_210();
    event_func_211();
}
void Frames::event_func_212()
{
    // event 594_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_594_3_end: ;
}
void Frames::event_func_213()
{
    // event 596_3
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (1))) goto event_596_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.add(2, 5); // 'enemy-evileye'
    }
    event_596_3_end: ;
}
void Frames::event_func_214()
{
    // event 597_3
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) != (1))) goto event_597_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.add(2, -5); // 'enemy-evileye'
    }
    event_597_3_end: ;
}
void Frames::col_17_3()
{
    event_func_205();
    event_func_212();
    event_func_213();
    event_func_214();
}
void Frames::event_func_215()
{
    // event 363_3
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_363_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_363_3_end: ;
}
void Frames::col_18_3()
{
    event_func_215();
}
void Frames::event_func_216()
{
    // event 479_3
    {
        // group: MobileBro
        if (!((((Active*)get_instance(cameratarget_226_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_479_3_end;
        FrameObject * single_instance_479_3_0; single_instance_479_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemymobilebrohoriz_192(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_479_3_0 == NULL)
                single_instance_479_3_0 = new_obj;
        }
    }
    event_479_3_end: ;
}
void Frames::col_20_3()
{
    event_func_216();
}
void Frames::event_func_217()
{
    // event 900_3
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_900_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, ((Active*)col_instance_2))) goto event_900_3_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_900_3_end;
        FrameObject * single_instance_900_3_0; single_instance_900_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_84(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_900_3_0 == NULL)
                single_instance_900_3_0 = new_obj;
        }
        FrameObject * single_instance_900_3_1; single_instance_900_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_85(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_900_3_1 == NULL)
                single_instance_900_3_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_900_3_end: ;
}
void Frames::col_22_3()
{
    event_func_217();
}
void Frames::event_func_218()
{
    // event 495_3
    {
        FrameObject * single_instance_495_3_0; single_instance_495_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemydangerned_195(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_495_3_0 == NULL)
                single_instance_495_3_0 = new_obj;
        }
    }
    event_495_3_end: ;
}
void Frames::col_23_3()
{
    event_func_218();
}
void Frames::event_func_219()
{
    // event 189_3
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_189_3_end;
        media.play_id(SOUND_DISAPPEARINGBLOCK_3_8, -1, 1);
        media.set_sample_volume(SOUND_DISAPPEARINGBLOCK_3_8, global_values->get(12)*1.0);
    }
    event_189_3_end: ;
}
void Frames::event_func_220()
{
    // event 735_3
    {
        // group: Disappearing Blocks
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_735_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_735_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'dissappear'
    }
    event_735_3_end: ;
}
void Frames::col_24_3()
{
    event_func_219();
    event_func_220();
}
void Frames::event_func_221()
{
    // event 640_3
    {
        // group: Boxman
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_640_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(2));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_640_3_end: ;
}
void Frames::col_25_3()
{
    event_func_221();
}
void Frames::event_func_222()
{
    // event 423_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(1, ((Active*)get_instance(bullet_99_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_423_3_end: ;
}
void Frames::event_func_223()
{
    // event 424_3
    {
        enemyatom_154_instances.clear_selection();
        for (ObjectIterator it(enemyatom_154_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_424_3_0; single_instance_424_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyatom_154_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bigexplosion_155(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_424_3_0 == NULL)
                    single_instance_424_3_0 = new_obj;
            }
        }
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        framedatastore_161_instances.clear_selection();
        for (ObjectIterator it(framedatastore_161_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)get_single(enemyatom_154_instances, it.current_index, default_active_instance))->get_x()); // 'FrameDataStore'
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_single(enemyatom_154_instances, it.current_index, default_active_instance))->get_y()); // 'FrameDataStore'
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_424_3_end: ;
}
void Frames::event_func_224()
{
    // event 425_3
    {
        enemyhoppy_130_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_130_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)get_instance(bullet_99_instances, it.current_index, default_active_instance))->alterables->values.get(4)); // 'Enemy-Hoppy'
            ((Active*)*it)->force_animation(12);
        }
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_425_3_end: ;
}
void Frames::col_26_3()
{
    event_func_222();
    event_func_223();
    event_func_224();
}
void Frames::event_func_225()
{
    // event 302_3
    {
        // group: Health/lives
        if (not_always_302_3_0 > loop_count) {
            not_always_302_3_0 = loop_count + 2;
            goto event_302_3_end;
        }
        not_always_302_3_0 = loop_count + 2;
        global_values->sub(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_302_3_end: ;
}
void Frames::col_27_3()
{
    event_func_225();
}
void Frames::event_func_226()
{
    // event 362_3
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_362_3_end;
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_362_3_end: ;
}
void Frames::col_28_3()
{
    event_func_226();
}
void Frames::event_func_227()
{
    // event 502_3
    {
        FrameObject * single_instance_502_3_0; single_instance_502_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyzappa_198(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 12), ((Active*)col_instance_2)->layer);
            if (single_instance_502_3_0 == NULL)
                single_instance_502_3_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_502_3_0))->alterables->values.set(2, ((Active*)single_instance_502_3_0)->alterables->values.get(3)); // 'enemy-zappa'
    }
    event_502_3_end: ;
}
void Frames::col_29_3()
{
    event_func_227();
}
void Frames::event_func_228()
{
    // event 675_3
    {
        // group: Bouncer
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, ((Active*)col_instance_2))) goto event_675_3_end;
        media.play_id(SOUND_THWAP_24, -1, 1);
        media.set_sample_volume(SOUND_THWAP_24, 0.25*global_values->get(12));
    }
    event_675_3_end: ;
}
void Frames::col_30_3()
{
    event_func_197();
    event_func_228();
}
void Frames::event_func_229()
{
    // event 598_3
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_598_3_end;
        if (!((((Active*)get_instance(cameratarget_226_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_598_3_end;
        FrameObject * single_instance_598_3_0; single_instance_598_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyevileye_222(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_598_3_0 == NULL)
                single_instance_598_3_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 240); // 'spawner-evileye'
    }
    event_598_3_end: ;
}
void Frames::col_31_3()
{
    event_func_229();
}
void Frames::event_func_230()
{
    // event 719_3
    {
        // group: Lonestar New
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_719_3_end;
        ((Active*)((Active*)col_instance_2))->force_animation(15);
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestarnew'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_719_3_end: ;
}
void Frames::event_func_231()
{
    // event 720_3
    {
        // group: Lonestar New
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_720_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestarnew'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
    }
    event_720_3_end: ;
}
void Frames::col_32_3()
{
    event_func_205();
    event_func_230();
    event_func_231();
}
void Frames::event_func_232()
{
    // event 485_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-dangerned'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_485_3_end: ;
}
void Frames::col_33_3()
{
    event_func_205();
    event_func_232();
}
void Frames::event_func_233()
{
    // event 294_3
    {
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_294_3_end: ;
}
void Frames::col_34_3()
{
    event_func_233();
}
void Frames::event_func_234()
{
    // event 931_3
    {
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(4, 1); // 'FrameDataStore'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(5, 1); // 'camera shaker'
    }
    event_931_3_end: ;
}
void Frames::col_35_3()
{
    event_func_234();
}
void Frames::event_func_235()
{
    // event 645_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(0, 1); // 'enemy-boxspawner'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_645_3_end: ;
}
void Frames::col_36_3()
{
    event_func_205();
    event_func_235();
}
void Frames::event_func_236()
{
    // event 983_3
    {
        // group: Crumble Block
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_983_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_983_3_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_983_3_end;
        if (not_always_983_3_0 > loop_count) {
            not_always_983_3_0 = loop_count + 2;
            goto event_983_3_end;
        }
        not_always_983_3_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_983_3_end: ;
}
void Frames::col_37_3()
{
    event_func_236();
}
void Frames::event_func_237()
{
    // event 523_3
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_523_3_0; single_instance_523_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyrockiship_205(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_523_3_0 == NULL)
                single_instance_523_3_0 = new_obj;
        }
    }
    event_523_3_end: ;
}
void Frames::col_38_3()
{
    event_func_237();
}
void Frames::event_func_238()
{
    // event 292_3
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_292_3_end: ;
}
void Frames::col_39_3()
{
    event_func_238();
}
