#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_239()
{
    // event 894_3
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_894_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, ((Active*)col_instance_2))) goto event_894_3_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_894_3_end;
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
        FrameObject * single_instance_894_3_0; single_instance_894_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_75(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_894_3_0 == NULL)
                single_instance_894_3_0 = new_obj;
        }
        FrameObject * single_instance_894_3_1; single_instance_894_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_76(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_894_3_1 == NULL)
                single_instance_894_3_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_894_3_end: ;
}
void Frames::col_40_3()
{
    event_func_239();
    event_func_217();
}
void Frames::event_func_240()
{
    // event 749_3
    {
        ((Active*)((Active*)col_instance_1))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, -1); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_749_3_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_749_3_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendLeft'
    }
    event_749_3_end: ;
}
void Frames::col_41_3()
{
    event_func_240();
}
void Frames::event_func_241()
{
    // event 619_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-toolio'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 0); // 'enemy-toolio'
        ((Active*)((Active*)col_instance_2))->force_animation(2);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_619_3_end: ;
}
void Frames::col_42_3()
{
    event_func_205();
    event_func_241();
}
void Frames::event_func_242()
{
    // event 483_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-mobilebro'
    }
    event_483_3_end: ;
}
void Frames::col_43_3()
{
    event_func_242();
}
void Frames::event_func_243()
{
    // event 193_3
    {
        // group: Sounds
        if (!((((Active*)col_instance_1)->alterables->values.get(0)) >= (0))) goto event_193_3_end;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_193_3_end: ;
}
void Frames::col_45_3()
{
    event_func_243();
}
void Frames::event_func_244()
{
    // event 392_3
    {
        // group: BrokenBrain
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_392_3_end;
        FrameObject * single_instance_392_3_0; single_instance_392_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobot_170(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_392_3_0 == NULL)
                single_instance_392_3_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerbrokenrobot'
        ((Active*)((Active*)single_instance_392_3_0))->alterables->values.set(4, ((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(2)); // 'enemy-brokenrobot'
        FrameObject * single_instance_392_3_1; single_instance_392_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobottop_172(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_392_3_1 == NULL)
                single_instance_392_3_1 = new_obj;
        }
        FrameObject * single_instance_392_3_2; single_instance_392_3_2 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobotbottom_173(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_392_3_2 == NULL)
                single_instance_392_3_2 = new_obj;
        }
        ((Active*)((Active*)single_instance_392_3_1))->alterables->values.set(0, ((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(2)); // 'enemy-brokenrobot-top'
        ((Active*)((Active*)single_instance_392_3_2))->alterables->values.set(0, ((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(2)); // 'enemy-brokenrobot-bottom'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
    }
    event_392_3_end: ;
}
void Frames::col_46_3()
{
    event_func_244();
}
void Frames::event_func_245()
{
    // event 499_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 9); // 'enemy-zappa'
    }
    event_499_3_end: ;
}
void Frames::col_48_3()
{
    event_func_245();
}
void Frames::event_func_246()
{
    // event 826_3
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_826_3_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_826_3_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_826_3_end: ;
}
void Frames::col_49_3()
{
    event_func_246();
}
void Frames::event_func_247()
{
    // event 888_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_888_3_end: ;
}
void Frames::col_51_3()
{
    event_func_247();
}
void Frames::event_func_248()
{
    // event 380_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-chomper'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
        ((Active*)((Active*)col_instance_2))->alterables->values.set(4, 0); // 'enemy-chomper'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_380_3_end: ;
}
void Frames::col_52_3()
{
    event_func_205();
    event_func_248();
}
void Frames::event_func_249()
{
    // event 522_3
    {
        // group: Rock-It Ship
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_522_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(1));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_522_3_end: ;
}
void Frames::col_53_3()
{
    event_func_249();
}
void Frames::event_func_250()
{
    // event 254_3
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_254_3_end: ;
}
void Frames::col_54_3()
{
    event_func_250();
}
void Frames::event_func_251()
{
    // event 460_3
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_460_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_460_3_end: ;
}
void Frames::col_55_3()
{
    event_func_251();
}
void Frames::event_func_252()
{
    // event 806_3
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(12, 1200); // 'Player'
    }
    event_806_3_end: ;
}
void Frames::col_56_3()
{
    event_func_252();
}
void Frames::event_func_253()
{
    // event 469_3
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_469_3_end: ;
}
void Frames::col_59_3()
{
    event_func_253();
}
void Frames::event_func_254()
{
    // event 210_3
    {
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.4);
    }
    event_210_3_end: ;
}
void Frames::col_60_3()
{
    event_func_254();
}
void Frames::event_func_255()
{
    // event 372_3
    {
        // group: Atom Bomb
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_372_3_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(5));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_372_3_end: ;
}
void Frames::col_61_3()
{
    event_func_255();
}
void Frames::event_func_256()
{
    // event 555_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_555_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_555_3_end: ;
}
void Frames::event_func_257()
{
    // event 556_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_556_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_556_3_end: ;
}
void Frames::col_62_3()
{
    event_func_205();
    event_func_256();
    event_func_257();
}
void Frames::event_func_258()
{
    // event 390_3
    {
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_390_3_end: ;
}
void Frames::col_63_3()
{
    event_func_251();
    event_func_258();
}
void Frames::event_func_259()
{
    // event 321_3
    {
        FrameObject * single_instance_321_3_0; single_instance_321_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_spikeshooter_125(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_321_3_0 == NULL)
                single_instance_321_3_0 = new_obj;
        }
    }
    event_321_3_end: ;
}
void Frames::col_64_3()
{
    event_func_259();
}
void Frames::event_func_260()
{
    // event 216_3
    {
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_216_3_end: ;
}
void Frames::event_func_261()
{
    // event 767_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_767_3_end: ;
}
void Frames::col_65_3()
{
    event_func_260();
    event_func_261();
}
void Frames::event_func_262()
{
    // event 427_3
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_427_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_427_3_end: ;
}
void Frames::col_66_3()
{
    event_func_262();
}
void Frames::event_func_263()
{
    // event 609_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-evileye'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_609_3_end: ;
}
void Frames::col_68_3()
{
    event_func_263();
}
void Frames::event_func_264()
{
    // event 366_3
    {
        // group: Atom Bomb
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_366_3_end;
        FrameObject * single_instance_366_3_0; single_instance_366_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyatom_154(((Active*)col_instance_2)->x + 16, ((Active*)col_instance_2)->y + 16), ((Active*)col_instance_2)->layer);
            if (single_instance_366_3_0 == NULL)
                single_instance_366_3_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_366_3_0))->alterables->values.set(7, ((Active*)get_instance(player_71_instances))->get_y()+(((Active*)single_instance_366_3_0)->alterables->values.get(0)/MathHelper()/2)-20); // 'enemy-atom'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'SpawnerAtom'
    }
    event_366_3_end: ;
}
void Frames::col_69_3()
{
    event_func_264();
}
void Frames::event_func_265()
{
    // event 919_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_919_3_0; single_instance_919_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_108(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_919_3_0 == NULL)
                single_instance_919_3_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_919_3_end: ;
}
void Frames::col_70_3()
{
    event_func_265();
}
void Frames::event_func_266()
{
    // event 404_3
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_404_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerwalker'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        FrameObject * single_instance_404_3_0; single_instance_404_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemywalker_174(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_404_3_0 == NULL)
                single_instance_404_3_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_404_3_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_404_3_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_404_3_0))->alterables->values.set(4, ((Active*)single_instance_404_3_0)->get_x()); // 'enemy-walker'
    }
    event_404_3_end: ;
}
void Frames::col_71_3()
{
    event_func_266();
}
void Frames::event_func_267()
{
    // event 423_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)get_instance(bullet_99_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_423_3_end: ;
}
void Frames::col_73_3()
{
    event_func_267();
    event_func_223();
    event_func_224();
}
void Frames::event_func_268()
{
    // event 477_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_477_3_end: ;
}
void Frames::col_74_3()
{
    event_func_205();
    event_func_268();
}
void Frames::event_func_269()
{
    // event 464_3
    {
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_464_3_end: ;
}
void Frames::col_75_3()
{
    event_func_269();
}
void Frames::event_func_270()
{
    // event 611_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-snipereye'
    }
    event_611_3_end: ;
}
void Frames::col_78_3()
{
    event_func_270();
}
void Frames::event_func_271()
{
    // event 748_3
    {
        ((Active*)((Active*)col_instance_1))->set_direction(24);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 0); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_748_3_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_748_3_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendDown'
    }
    event_748_3_end: ;
}
void Frames::col_79_3()
{
    event_func_271();
}
void Frames::event_func_272()
{
    // event 386_3
    {
        FrameObject * single_instance_386_3_0; single_instance_386_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemychomper_162(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_386_3_0 == NULL)
                single_instance_386_3_0 = new_obj;
        }
    }
    event_386_3_end: ;
}
void Frames::col_80_3()
{
    event_func_272();
}
void Frames::event_func_273()
{
    // event 158_3
    {
        manager.ignore_controls = true;
        {
            ((Active*)col_instance_1)->set_global_position(4144, 624);
            pos_end_158_3_0: ;
        }
        ((Active*)get_instance(inputcoordinatorsecretary_94_instances))->force_animation(1);
    }
    event_158_3_end: ;
}
void Frames::col_82_3()
{
    event_func_273();
}
void Frames::event_func_274()
{
    // event 426_3
    {
        // group: Cross-enemy
        if (!((((Active*)col_instance_1)->alterables->values.get(1)) >= (8))) goto event_426_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 2); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 7); // 'camera shaker'
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_426_3_end: ;
}
void Frames::col_83_3()
{
    event_func_274();
}
void Frames::event_func_275()
{
    // event 875_3
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(18);
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'Active 8'
    }
    event_875_3_end: ;
}
void Frames::col_84_3()
{
    event_func_205();
    event_func_275();
}
void Frames::event_func_276()
{
    // event 468_3
    {
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_468_3_end: ;
}
void Frames::col_86_3()
{
    event_func_276();
}
void Frames::col_87_3()
{
    event_func_249();
    event_func_258();
}
void Frames::event_func_277()
{
    // event 824_3
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_824_3_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_824_3_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_824_3_end: ;
}
void Frames::col_89_3()
{
    event_func_277();
}
void Frames::event_func_278()
{
    // event 936_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, -1); // 'bg-cog2'
    }
    event_936_3_end: ;
}
void Frames::col_90_3()
{
    event_func_278();
}
void Frames::event_func_279()
{
    // event 803_3
    {
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(5, 0); // 'Player'
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_803_3_end: ;
}
void Frames::col_92_3()
{
    event_func_279();
}
void Frames::event_func_280()
{
    // event 574_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_574_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
    }
    event_574_3_end: ;
}
void Frames::event_func_281()
{
    // event 575_3
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_575_3_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
    }
    event_575_3_end: ;
}
void Frames::col_93_3()
{
    event_func_280();
    event_func_281();
}
void Frames::event_func_282()
{
    // event 521_3
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'enemy-rockiship'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_521_3_end: ;
}
void Frames::col_94_3()
{
    event_func_282();
}
void Frames::event_func_283()
{
    // event 823_3
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_823_3_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_823_3_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_823_3_end: ;
}
void Frames::col_95_3()
{
    event_func_283();
}
void Frames::event_func_284()
{
    // event 892_3
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_892_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, ((Active*)col_instance_2))) goto event_892_3_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_892_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_892_3_0; single_instance_892_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_75(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_892_3_0 == NULL)
                single_instance_892_3_0 = new_obj;
        }
        FrameObject * single_instance_892_3_1; single_instance_892_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_76(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_892_3_1 == NULL)
                single_instance_892_3_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_892_3_end: ;
}
void Frames::event_func_285()
{
    // event 897_3
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_897_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, ((Active*)col_instance_2))) goto event_897_3_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_897_3_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_897_3_0; single_instance_897_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_84(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_897_3_0 == NULL)
                single_instance_897_3_0 = new_obj;
        }
        FrameObject * single_instance_897_3_1; single_instance_897_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_85(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_897_3_1 == NULL)
                single_instance_897_3_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_897_3_end: ;
}
void Frames::col_96_3()
{
    event_func_284();
    event_func_285();
}
void Frames::event_func_286()
{
    // event 360_3
    {
        // group: Shooter
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_360_3_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(2);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_360_3_end: ;
}
void Frames::col_97_3()
{
    event_func_286();
    event_func_247();
}
void Frames::event_func_287()
{
    // event 746_3
    {
        ((Active*)((Active*)col_instance_1))->set_direction(8);
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendUp'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, -1); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 0); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_746_3_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_746_3_0: ;
        }
    }
    event_746_3_end: ;
}
void Frames::col_98_3()
{
    event_func_287();
}
void Frames::event_func_288()
{
    // event 982_3
    {
        // group: Crumble Block
        if (!(loop_count <= 1)) goto event_982_3_end;
        ((Active*)((Active*)col_instance_1))->destroy();
        objcogblock_243_instances.clear_selection();
        for (ObjectIterator it(objcogblock_243_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.toggle(0);
        }
    }
    event_982_3_end: ;
}
void Frames::event_func_289()
{
    // event 984_3
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_984_3_end: ;
}
void Frames::col_99_3()
{
    event_func_288();
    event_func_289();
}
void Frames::event_func_290()
{
    // event 924_3
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_924_3_0; single_instance_924_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_108(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_924_3_0 == NULL)
                single_instance_924_3_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_924_3_end: ;
}
void Frames::col_100_3()
{
    event_func_290();
}
