#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_619()
{
    // event 352_3
    {
        // group: Enemy Movers
        enemypath_133_instances.clear_selection();
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (16))) { it.deselect(); continue; }
        }
        if (!enemypath_133_instances.has_selection()) goto event_352_3_end;
        enemyup_140_instances.clear_selection();
        if (!check_overlap(enemypath_133_instances, enemyup_140_instances)) goto event_352_3_end;
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(8);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyup_140_instances, it.current_index));
            if (parent == NULL) goto pos_end_352_3_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_352_3_0: ;
        }
    }
    event_352_3_end: ;
}
void Frames::event_func_620()
{
    // event 353_3
    {
        // group: Enemy Movers
        enemypath_133_instances.clear_selection();
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) >= (16))) { it.deselect(); continue; }
        }
        if (!enemypath_133_instances.has_selection()) goto event_353_3_end;
        enemydown_138_instances.clear_selection();
        if (!check_overlap(enemypath_133_instances, enemydown_138_instances)) goto event_353_3_end;
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(24);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemydown_138_instances, it.current_index));
            if (parent == NULL) goto pos_end_353_3_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_353_3_0: ;
        }
    }
    event_353_3_end: ;
}
void Frames::event_func_621()
{
    // event 354_3
    {
        // group: Enemy Movers
        enemypath_133_instances.clear_selection();
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) >= (16))) { it.deselect(); continue; }
        }
        if (!enemypath_133_instances.has_selection()) goto event_354_3_end;
        enemyleft_139_instances.clear_selection();
        if (!check_overlap(enemypath_133_instances, enemyleft_139_instances)) goto event_354_3_end;
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyleft_139_instances, it.current_index));
            if (parent == NULL) goto pos_end_354_3_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_354_3_0: ;
        }
    }
    event_354_3_end: ;
}
void Frames::event_func_622()
{
    // event 355_3
    {
        // group: Enemy Movers
        enemypath_133_instances.clear_selection();
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) >= (16))) { it.deselect(); continue; }
        }
        if (!enemypath_133_instances.has_selection()) goto event_355_3_end;
        enemyright_137_instances.clear_selection();
        if (!check_overlap(enemypath_133_instances, enemyright_137_instances)) goto event_355_3_end;
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_133_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyright_137_instances, it.current_index));
            if (parent == NULL) goto pos_end_355_3_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_355_3_0: ;
        }
    }
    event_355_3_end: ;
}
void Frames::event_func_623()
{
    // event 357_3
    {
        // group: Shooter
        active_0_instances.clear_selection();
        for (ObjectIterator it(active_0_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
    }
    event_357_3_end: ;
}
void Frames::event_func_624()
{
    // event 358_3
    {
        // group: Shooter
        every_358_3_0 += manager.dt;
        if (every_358_3_0 < 1.76) goto event_358_3_end;
        every_358_3_0 -= 1.76;
        active_0_instances.clear_selection();
        screen_126_instances.clear_selection();
        if (!check_overlap(active_0_instances, screen_126_instances)) goto event_358_3_end;
        FrameObject * single_instance_358_3_1; single_instance_358_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(active_0_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyflashbullet_146(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_358_3_1 == NULL)
                    single_instance_358_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_358_3_1))->set_direction(((Active*)get_single(active_0_instances, default_active_instance))->get_direction());
        ((Active*)((Active*)single_instance_358_3_1))->get_movement()->set_speed(37);
        ((Active*)((Active*)single_instance_358_3_1))->set_direction(get_direction_int(((Active*)single_instance_358_3_1)->x, ((Active*)single_instance_358_3_1)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
    }
    event_358_3_end: ;
}
void Frames::event_func_625()
{
    // event 359_3
    {
        // group: Shooter
        enemyflashbullet_146_instances.clear_selection();
        active_0_instances.clear_selection();
        if (!check_overlap(enemyflashbullet_146_instances, active_0_instances)) goto event_359_3_end;
        for (ObjectIterator it(enemyflashbullet_146_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(((Active*)get_single(active_0_instances, it.current_index, default_active_instance))->get_direction());
            ((Active*)*it)->get_movement()->set_speed(37);
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
    }
    event_359_3_end: ;
}
void Frames::event_func_626()
{
    // event 367_3
    {
        // group: Atom Bomb
        enemyatom_154_instances.clear_selection();
        for (ObjectIterator it(enemyatom_154_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 0.01); // 'enemy-atom'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-atom'
        }
        spawneratom_153_instances.clear_selection();
        for (ObjectIterator it(spawneratom_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'SpawnerAtom'
        }
    }
    event_367_3_end: ;
}
void Frames::event_func_627()
{
    // event 368_3
    {
        // group: Atom Bomb
        enemyatom_154_instances.clear_selection();
        for (ObjectIterator it(enemyatom_154_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->alterables->values.get(7)+(((Active*)*it)->alterables->values.get(0)*sin_deg((((Active*)*it)->alterables->values.get(1)*((Active*)*it)->alterables->values.get(2))-(((Active*)*it)->alterables->values.get(3)*((Active*)*it)->alterables->values.get(4)))));
        }
    }
    event_368_3_end: ;
}
void Frames::event_func_628()
{
    // event 369_3
    {
        // group: Atom Bomb
        enemyatom_154_instances.clear_selection();
        for (ObjectIterator it(enemyatom_154_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-1);
        }
    }
    event_369_3_end: ;
}
void Frames::event_func_629()
{
    // event 371_3
    {
        // group: Atom Bomb
        bigexplosion_155_instances.clear_selection();
        for (ObjectIterator it(bigexplosion_155_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!bigexplosion_155_instances.has_selection()) goto event_371_3_end;
        for (ObjectIterator it(bigexplosion_155_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_371_3_end: ;
}
void Frames::event_func_630()
{
    // event 374_3
    {
        // group: Chomper
        screen_126_instances.clear_selection();
        enemychomper_162_instances.clear_selection();
        if (!check_overlap(screen_126_instances, enemychomper_162_instances)) goto event_374_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 1); // 'enemy-chomper'
        }
    }
    event_374_3_end: ;
}
void Frames::event_func_631()
{
    // event 375_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (100))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(6)) { it.deselect(); continue; }
        }
        if (!enemychomper_162_instances.has_selection()) goto event_375_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_375_3_end: ;
}
void Frames::event_func_632()
{
    // event 376_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_162_instances.has_selection()) goto event_376_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) < (((Active*)get_single(enemychomper_162_instances, default_active_instance))->get_x()))) goto event_376_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(6);
            ((Active*)*it)->alterables->values.set(2, ((Active*)get_instance(player_71_instances))->get_x()-((Active*)*it)->get_x()); // 'enemy-chomper'
            ((Active*)*it)->alterables->values.set(3, ((Active*)get_instance(player_71_instances))->get_y()-((Active*)*it)->get_y()); // 'enemy-chomper'
        }
        FrameObject * single_instance_376_3_0; single_instance_376_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemychomper_162_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyzapball_163(parent->x + 0, parent->y + -17), parent->layer);
                if (single_instance_376_3_0 == NULL)
                    single_instance_376_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_376_3_0))->alterables->values.set(0, -4); // 'enemy-zapball'
        ((Active*)((Active*)single_instance_376_3_0))->alterables->values.set(1, -1*(((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(3)/MathHelper()/(((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/4.0))-0.5*-0.125*(((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/4.0)); // 'enemy-zapball'
    }
    event_376_3_end: ;
}
void Frames::event_func_633()
{
    // event 377_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_162_instances.has_selection()) goto event_377_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) > (((Active*)get_single(enemychomper_162_instances, default_active_instance))->get_x()))) goto event_377_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(6);
            ((Active*)*it)->alterables->values.set(2, ((Active*)get_instance(player_71_instances))->get_x()-((Active*)*it)->get_x()); // 'enemy-chomper'
            ((Active*)*it)->alterables->values.set(3, ((Active*)get_instance(player_71_instances))->get_y()-((Active*)*it)->get_y()); // 'enemy-chomper'
        }
        FrameObject * single_instance_377_3_0; single_instance_377_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemychomper_162_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyzapball_163(parent->x + 0, parent->y + -17), parent->layer);
                if (single_instance_377_3_0 == NULL)
                    single_instance_377_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_377_3_0))->alterables->values.set(0, 4); // 'enemy-zapball'
        ((Active*)((Active*)single_instance_377_3_0))->alterables->values.set(1, (((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(3)/MathHelper()/(((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/4.0))-0.5*0.125*(((Active*)get_single(enemychomper_162_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/4.0)); // 'enemy-zapball'
    }
    event_377_3_end: ;
}
void Frames::event_func_634()
{
    // event 378_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 6)) { it.deselect(); continue; }
        }
        if (!enemychomper_162_instances.has_selection()) goto event_378_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-chomper'
            ((Active*)*it)->force_animation(0);
        }
    }
    event_378_3_end: ;
}
void Frames::event_func_635()
{
    // event 379_3
    {
        // group: Chomper
        every_379_3_0 += manager.dt;
        if (every_379_3_0 < 0.1) goto event_379_3_end;
        every_379_3_0 -= 0.1;
        enemyzapball_163_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_163_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, -1*((Active*)*it)->alterables->values.get(2)); // 'enemy-zapball'
        }
    }
    event_379_3_end: ;
}
void Frames::event_func_636()
{
    // event 381_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemychomper_162_instances.has_selection()) goto event_381_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemychomper_162_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemychomper_162_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        explosion_108_instances.clear_selection();
        for (ObjectIterator it(explosion_108_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(1)-14);
        }
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 20); // 'camera shaker'
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        // select single: false false true
        for (ObjectIterator p_it(enemychomper_162_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + -14), parent->layer);
                explosion_108_instances.add_back();
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_381_3_end: ;
}
void Frames::event_func_637()
{
    // event 384_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
        enemyzapball_163_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_163_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(1));
        }
    }
    event_384_3_end: ;
}
void Frames::event_func_638()
{
    // event 385_3
    {
        // group: Chomper
        enemyzapball_163_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_163_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) > (6))) { it.deselect(); continue; }
        }
        if (!enemyzapball_163_instances.has_selection()) goto event_385_3_end;
        for (ObjectIterator it(enemyzapball_163_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 6); // 'enemy-zapball'
        }
    }
    event_385_3_end: ;
}
void Frames::event_func_639()
{
    // event 387_3
    {
        // group: Chomper
        every_387_3_0 += manager.dt;
        if (every_387_3_0 < 0.01) goto event_387_3_end;
        every_387_3_0 -= 0.01;
        spawnerenemychomper_165_instances.clear_selection();
        for (ObjectIterator it(spawnerenemychomper_165_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerenemychomper_165_instances.has_selection()) goto event_387_3_end;
        for (ObjectIterator it(spawnerenemychomper_165_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawner-enemy-chomper'
        }
    }
    event_387_3_end: ;
}
void Frames::event_func_640()
{
    // event 388_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        if (!check_overlap(enemychomper_162_instances, enemychomper_162_instances)) goto event_388_3_end;
        FrameObject * single_instance_388_3_0; single_instance_388_3_0 = pick_random(enemychomper_162_instances);
        if (single_instance_388_3_0 == NULL) goto event_388_3_end;
        ((Active*)((Active*)single_instance_388_3_0))->destroy();
    }
    event_388_3_end: ;
}
void Frames::event_func_641()
{
    // event 389_3
    {
        // group: Chomper
        enemychomper_162_instances.clear_selection();
        if (!check_overlap(enemychomper_162_instances, enemychomper_162_instances)) goto event_389_3_end;
        for (ObjectIterator it(enemychomper_162_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-chomper'
        }
    }
    event_389_3_end: ;
}
void Frames::event_func_642()
{
    // event 391_3
    {
        // group: BrokenBrain
        enemybrokenrobot_170_instances.clear_selection();
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-brokenrobot'
            ((Active*)*it)->alterables->values.set(3, ((Active*)*it)->get_y()); // 'enemy-brokenrobot'
        }
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, ((Active*)*it)->get_x()); // 'Bullet'
            ((Active*)*it)->alterables->values.set(7, ((Active*)*it)->get_y()); // 'Bullet'
        }
    }
    event_391_3_end: ;
}
void Frames::event_func_643()
{
    // event 393_3
    {
        // group: BrokenBrain
        every_393_3_0 += manager.dt;
        if (every_393_3_0 < 0.01) goto event_393_3_end;
        every_393_3_0 -= 0.01;
        spawnerbrokenrobot_171_instances.clear_selection();
        for (ObjectIterator it(spawnerbrokenrobot_171_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerbrokenrobot_171_instances.has_selection()) goto event_393_3_end;
        for (ObjectIterator it(spawnerbrokenrobot_171_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawnerbrokenrobot'
        }
    }
    event_393_3_end: ;
}
void Frames::event_func_644()
{
    // event 394_3
    {
        // group: BrokenBrain
        enemybrokenrobot_170_instances.clear_selection();
        enemybrokenrobottop_172_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobottop_172_instances)) goto event_394_3_end;
        for (ObjectIterator it(enemybrokenrobottop_172_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_single(enemybrokenrobot_170_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_single(enemybrokenrobot_170_instances, it.current_index, default_active_instance))->get_y());
        }
    }
    event_394_3_end: ;
}
void Frames::event_func_645()
{
    // event 395_3
    {
        // group: BrokenBrain
        enemybrokenrobot_170_instances.clear_selection();
        enemybrokenrobotbottom_173_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobotbottom_173_instances)) goto event_395_3_end;
        for (ObjectIterator it(enemybrokenrobotbottom_173_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_single(enemybrokenrobot_170_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_single(enemybrokenrobot_170_instances, it.current_index, default_active_instance))->get_y());
        }
    }
    event_395_3_end: ;
}
void Frames::event_func_646()
{
    // event 396_3
    {
        // group: BrokenBrain
        bullet_99_instances.clear_selection();
        enemybrokenrobottop_172_instances.clear_selection();
        if (!check_overlap(bullet_99_instances, enemybrokenrobottop_172_instances)) goto event_396_3_end;
        enemybrokenrobot_170_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobottop_172_instances)) goto event_396_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobottop_172_instances, default_active_instance))->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemybrokenrobot_170_instances.has_selection()) goto event_396_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(3*0.14*get_abs(((Active*)get_single(bullet_99_instances, it.current_index, default_active_instance))->alterables->values.get(0))));
        }
    }
    event_396_3_end: ;
}
void Frames::event_func_647()
{
    // event 397_3
    {
        // group: BrokenBrain
        bullet_99_instances.clear_selection();
        enemybrokenrobotbottom_173_instances.clear_selection();
        if (!check_overlap(bullet_99_instances, enemybrokenrobotbottom_173_instances)) goto event_397_3_end;
        enemybrokenrobot_170_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobotbottom_173_instances)) goto event_397_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobotbottom_173_instances, default_active_instance))->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemybrokenrobot_170_instances.has_selection()) goto event_397_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-(3*0.14*get_abs(((Active*)get_single(bullet_99_instances, it.current_index, default_active_instance))->alterables->values.get(0))));
        }
    }
    event_397_3_end: ;
}
void Frames::event_func_648()
{
    // event 398_3
    {
        // group: BrokenBrain
        player_71_instances.clear_selection();
        enemybrokenrobot_170_instances.clear_selection();
        if (!check_overlap(player_71_instances, enemybrokenrobot_170_instances)) goto event_398_3_end;
        enemybrokenrobottop_172_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobottop_172_instances)) goto event_398_3_end;
        enemybrokenrobotbottom_173_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_170_instances, enemybrokenrobotbottom_173_instances)) goto event_398_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) != (0))) goto event_398_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobotbottom_173_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobottop_172_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemybrokenrobot_170_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemybrokenrobot_170_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_398_3_0; single_instance_398_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemybrokenrobot_170_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_398_3_0 == NULL)
                    single_instance_398_3_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_398_3_end: ;
}
void Frames::event_func_649()
{
    // event 400_3
    {
        // group: BrokenBrain
        enemybrokenrobot_170_instances.clear_selection();
        if (!check_not_overlap(enemybrokenrobot_170_instances, enemybrokenrobottop_172_instances)) goto event_400_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_400_3_end: ;
}
void Frames::event_func_650()
{
    // event 401_3
    {
        // group: BrokenBrain
        enemybrokenrobot_170_instances.clear_selection();
        if (!check_not_overlap(enemybrokenrobot_170_instances, enemybrokenrobotbottom_173_instances)) goto event_401_3_end;
        for (ObjectIterator it(enemybrokenrobot_170_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_401_3_end: ;
}
void Frames::event_func_651()
{
    // event 405_3
    {
        // group: Walker
        every_405_3_0 += manager.dt;
        if (every_405_3_0 < 0.01) goto event_405_3_end;
        every_405_3_0 -= 0.01;
        spawnerwalker_175_instances.clear_selection();
        for (ObjectIterator it(spawnerwalker_175_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerwalker_175_instances.has_selection()) goto event_405_3_end;
        for (ObjectIterator it(spawnerwalker_175_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawnerwalker'
        }
    }
    event_405_3_end: ;
}
void Frames::event_func_652()
{
    // event 406_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(4)+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->alterables->values.add(2, ((Active*)*it)->alterables->values.get(6)); // 'enemy-walker'
        }
    }
    event_406_3_end: ;
}
void Frames::event_func_653()
{
    // event 407_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_407_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, 2); // 'enemy-walker'
            ((Active*)*it)->alterables->values.add(2, 7); // 'enemy-walker'
        }
    }
    event_407_3_end: ;
}
void Frames::event_func_654()
{
    // event 408_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_408_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, -2); // 'enemy-walker'
            ((Active*)*it)->alterables->values.add(2, -7); // 'enemy-walker'
        }
    }
    event_408_3_end: ;
}
void Frames::event_func_655()
{
    // event 409_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) < (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_409_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-walker'
        }
    }
    event_409_3_end: ;
}
void Frames::event_func_656()
{
    // event 410_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_410_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-walker'
        }
    }
    event_410_3_end: ;
}
void Frames::event_func_657()
{
    // event 411_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) < (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_411_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_411_3_end: ;
}
void Frames::event_func_658()
{
    // event 412_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(1)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_412_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_412_3_end: ;
}
void Frames::event_func_659()
{
    // event 417_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_174_instances.has_selection()) goto event_417_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_417_3_0; single_instance_417_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemywalker_174_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_417_3_0 == NULL)
                    single_instance_417_3_0 = new_obj;
            }
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemywalker_174_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemywalker_174_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_417_3_end: ;
}
void Frames::event_func_660()
{
    // event 419_3
    {
        // group: Walker
        if (!((((Active*)get_instance(active6_1_instances))->alterables->values.get(0)) >= (60))) goto event_419_3_end;
        FrameObject * single_instance_419_3_0; single_instance_419_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(active6_1_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemywalker_174(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_419_3_0 == NULL)
                    single_instance_419_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_419_3_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_161_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_419_3_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_419_3_0))->alterables->values.set(4, ((Active*)single_instance_419_3_0)->get_x()); // 'enemy-walker'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        ((Active*)get_instance(active6_1_instances))->alterables->values.set(0, 0); // 'Active 6'
    }
    event_419_3_end: ;
}
void Frames::event_func_661()
{
    // event 420_3
    {
        // group: Walker
        screenfar_259_instances.clear_selection();
        active6_1_instances.clear_selection();
        if (!check_overlap(screenfar_259_instances, active6_1_instances)) goto event_420_3_end;
        ((Active*)get_instance(active6_1_instances))->alterables->values.add(0, 1); // 'Active 6'
    }
    event_420_3_end: ;
}
void Frames::event_func_662()
{
    // event 422_3
    {
        // group: Walker
        enemywalker_174_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(enemywalker_174_instances, objeyeblock_147_instances)) goto event_422_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_422_3_end;
        for (ObjectIterator it(enemywalker_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 2); // 'enemy-walker'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-2);
        }
    }
    event_422_3_end: ;
}
void Frames::event_func_663()
{
    // event 428_3
    {
        // group: Blobulule
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->alterables->values.get(2));
        }
    }
    event_428_3_end: ;
}
void Frames::event_func_664()
{
    // event 429_3
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_71_instances))->get_x()) > (((Active*)get_instance(enemyblobululephase1_189_instances, default_active_instance))->get_x()))) goto event_429_3_end;
        if (((Active*)get_instance(active6_1_instances))->overlaps_background()) goto event_429_3_end;
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_429_3_end: ;
}
void Frames::event_func_665()
{
    // event 430_3
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_71_instances))->get_x()) < (((Active*)get_instance(enemyblobululephase1_189_instances, default_active_instance))->get_x()))) goto event_430_3_end;
        if (((Active*)get_instance(active6_1_instances))->overlaps_background()) goto event_430_3_end;
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_430_3_end: ;
}
void Frames::event_func_666()
{
    // event 433_3
    {
        // group: Blobulule
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()+85))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_189_instances.has_selection()) goto event_433_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) < (((Active*)get_single(enemyblobululephase1_189_instances, default_active_instance))->get_x()))) goto event_433_3_end;
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_433_3_0; single_instance_433_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_189_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyblobululephase2_190(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_433_3_0 == NULL)
                    single_instance_433_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_433_3_0))->alterables->values.set(0, ((Active*)single_instance_433_3_0)->get_x()); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)single_instance_433_3_0))->force_animation(8);
    }
    event_433_3_end: ;
}
void Frames::event_func_667()
{
    // event 434_3
    {
        // group: Blobulule
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-85))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_189_instances.has_selection()) goto event_434_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) > (((Active*)get_single(enemyblobululephase1_189_instances, default_active_instance))->get_x()))) goto event_434_3_end;
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_434_3_0; single_instance_434_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_189_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyblobululephase2_190(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_434_3_0 == NULL)
                    single_instance_434_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_434_3_0))->alterables->values.set(0, ((Active*)single_instance_434_3_0)->get_x()); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)single_instance_434_3_0))->force_animation(8);
    }
    event_434_3_end: ;
}
void Frames::event_func_668()
{
    // event 437_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_437_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_437_3_end: ;
}
void Frames::event_func_669()
{
    // event 438_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_438_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_438_3_end: ;
}
void Frames::event_func_670()
{
    // event 439_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.add(1, 1); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(0, ((Active*)*it)->alterables->values.get(2)); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(4, 1); // 'enemy-blobulule-phase2'
        }
    }
    event_439_3_end: ;
}
void Frames::event_func_671()
{
    // event 440_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (40))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_440_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) > (((Active*)get_single(enemyblobululephase2_190_instances, default_active_instance))->get_x()))) goto event_440_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0.5); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.set(1, 0); // 'enemy-blobulule-phase2'
        }
    }
    event_440_3_end: ;
}
void Frames::event_func_672()
{
    // event 441_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (40))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_441_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) < (((Active*)get_single(enemyblobululephase2_190_instances, default_active_instance))->get_x()))) goto event_441_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -0.5); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.set(1, 0); // 'enemy-blobulule-phase2'
        }
    }
    event_441_3_end: ;
}
void Frames::event_func_673()
{
    // event 442_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_442_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'enemy-blobulule-phase2'
        }
    }
    event_442_3_end: ;
}
void Frames::event_func_674()
{
    // event 443_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (7))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_443_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-blobulule-phase2'
        }
        FrameObject * single_instance_443_3_0; single_instance_443_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_190_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemygoo_191(parent->get_action_x() - parent->layer->off_x + 12, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_443_3_0 == NULL)
                    single_instance_443_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_443_3_0))->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
    }
    event_443_3_end: ;
}
void Frames::event_func_675()
{
    // event 444_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (7))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_444_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-blobulule-phase2'
        }
        FrameObject * single_instance_444_3_0; single_instance_444_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_190_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemygoo_191(parent->get_action_x() - parent->layer->off_x + -12, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_444_3_0 == NULL)
                    single_instance_444_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_444_3_0))->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
    }
    event_444_3_end: ;
}
void Frames::event_func_676()
{
    // event 445_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_445_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(2)*-1); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(0, 2); // 'enemy-blobulule-phase2'
        }
    }
    event_445_3_end: ;
}
void Frames::event_func_677()
{
    // event 446_3
    {
        // group: Blobulule
        screen_126_instances.clear_selection();
        if (!check_not_overlap(screen_126_instances, enemygoo_191_instances)) goto event_446_3_end;
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_446_3_end: ;
}
void Frames::event_func_678()
{
    // event 447_3
    {
        // group: Blobulule
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemygoo_191_instances.has_selection()) goto event_447_3_end;
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_447_3_end: ;
}
void Frames::event_func_679()
{
    // event 448_3
    {
        // group: Blobulule
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemygoo_191_instances.has_selection()) goto event_448_3_end;
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_448_3_end: ;
}
void Frames::event_func_680()
{
    // event 449_3
    {
        // group: Blobulule
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!enemygoo_191_instances.has_selection()) goto event_449_3_end;
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_449_3_end: ;
}
void Frames::event_func_681()
{
    // event 450_3
    {
        // group: Blobulule
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (2))) { it.deselect(); continue; }
        }
        if (!enemygoo_191_instances.has_selection()) goto event_450_3_end;
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_450_3_end: ;
}
void Frames::event_func_682()
{
    // event 451_3
    {
        // group: Blobulule
        enemygoo_191_instances.clear_selection();
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (3))) { it.deselect(); continue; }
        }
        if (!enemygoo_191_instances.has_selection()) goto event_451_3_end;
        for (ObjectIterator it(enemygoo_191_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_451_3_end: ;
}
void Frames::event_func_683()
{
    // event 452_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_452_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_452_3_end: ;
}
void Frames::event_func_684()
{
    // event 453_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_453_3_end;
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_453_3_end: ;
}
void Frames::event_func_685()
{
    // event 455_3
    {
        // group: Blobulule
        enemyblobululephase1_189_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_189_instances.has_selection()) goto event_455_3_end;
        for (ObjectIterator it(enemyblobululephase1_189_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemyblobululephase1_189_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemyblobululephase1_189_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_455_3_0; single_instance_455_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_189_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_455_3_0 == NULL)
                    single_instance_455_3_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_455_3_end: ;
}
void Frames::event_func_686()
{
    // event 457_3
    {
        // group: Blobulule
        enemyblobululephase2_190_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_190_instances.has_selection()) goto event_457_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemyblobululephase2_190_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemyblobululephase2_190_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        for (ObjectIterator it(enemyblobululephase2_190_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_457_3_0; single_instance_457_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_190_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_457_3_0 == NULL)
                    single_instance_457_3_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_457_3_end: ;
}
void Frames::event_func_687()
{
    // event 463_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(3));
        }
    }
    event_463_3_end: ;
}
void Frames::event_func_688()
{
    // event 465_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777472))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_465_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) > (((Active*)get_single(enemymobilebrohoriz_192_instances, default_active_instance))->get_x()))) goto event_465_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 2); // 'enemy-mobilebrohoriz'
        }
    }
    event_465_3_end: ;
}
void Frames::event_func_689()
{
    // event 466_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777472))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_466_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_x()) < (((Active*)get_single(enemymobilebrohoriz_192_instances, default_active_instance))->get_x()))) goto event_466_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -2); // 'enemy-mobilebrohoriz'
        }
    }
    event_466_3_end: ;
}
void Frames::event_func_690()
{
    // event 471_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777216))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_471_3_end;
        if (not_always_471_3_0 > loop_count) {
            not_always_471_3_0 = loop_count + 2;
            goto event_471_3_end;
        }
        not_always_471_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_471_3_1; single_instance_471_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_192_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_471_3_1 == NULL)
                    single_instance_471_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_471_3_1))->set_direction(8);
        ((Active*)((Active*)single_instance_471_3_1))->get_movement()->set_speed(100);
    }
    event_471_3_end: ;
}
void Frames::event_func_691()
{
    // event 472_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(256))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_472_3_end;
        if (not_always_472_3_0 > loop_count) {
            not_always_472_3_0 = loop_count + 2;
            goto event_472_3_end;
        }
        not_always_472_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_472_3_1; single_instance_472_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_192_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_472_3_1 == NULL)
                    single_instance_472_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_472_3_1))->set_direction(24);
        ((Active*)((Active*)single_instance_472_3_1))->get_movement()->set_speed(100);
    }
    event_472_3_end: ;
}
void Frames::event_func_692()
{
    // event 473_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_71_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_71_instances))->get_y()+4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_473_3_end;
        if (not_always_473_3_0 > loop_count) {
            not_always_473_3_0 = loop_count + 2;
            goto event_473_3_end;
        }
        not_always_473_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_473_3_1; single_instance_473_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_192_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_473_3_1 == NULL)
                    single_instance_473_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_473_3_1))->set_direction(0);
        ((Active*)((Active*)single_instance_473_3_1))->get_movement()->set_speed(100);
    }
    event_473_3_end: ;
}
void Frames::event_func_693()
{
    // event 474_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_71_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_71_instances))->get_y()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_474_3_end;
        if (not_always_474_3_0 > loop_count) {
            not_always_474_3_0 = loop_count + 2;
            goto event_474_3_end;
        }
        not_always_474_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_474_3_1; single_instance_474_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_192_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_474_3_1 == NULL)
                    single_instance_474_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_474_3_1))->set_direction(16);
        ((Active*)((Active*)single_instance_474_3_1))->get_movement()->set_speed(100);
    }
    event_474_3_end: ;
}
void Frames::event_func_694()
{
    // event 475_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65537))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_475_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 2); // 'enemy-mobilebrohoriz'
        }
    }
    event_475_3_end: ;
}
void Frames::event_func_695()
{
    // event 476_3
    {
        // group: MobileBro
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(9)) <= (0))) goto event_476_3_end;
        hurtbox_152_instances.clear_selection();
        enemymobilebrohoriz_192_instances.clear_selection();
        if (!check_overlap(hurtbox_152_instances, enemymobilebrohoriz_192_instances)) goto event_476_3_end;
        global_values->sub(0, ((Active*)get_single(enemymobilebrohoriz_192_instances, default_active_instance))->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_3();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
        enemyzapball_163_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_163_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_476_3_end: ;
}
void Frames::event_func_696()
{
    // event 478_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_478_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_478_3_0; single_instance_478_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_192_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_478_3_0 == NULL)
                    single_instance_478_3_0 = new_obj;
            }
        }
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemymobilebrohoriz_192_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemymobilebrohoriz_192_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 18); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 16); // 'camera shaker'
    }
    event_478_3_end: ;
}
void Frames::event_func_697()
{
    // event 480_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_480_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'enemy-mobilebrohoriz'
        }
    }
    event_480_3_end: ;
}
void Frames::event_func_698()
{
    // event 481_3
    {
        // group: MobileBro
        enemymobilebrohoriz_192_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_192_instances.has_selection()) goto event_481_3_end;
        for (ObjectIterator it(enemymobilebrohoriz_192_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_481_3_end: ;
}
void Frames::event_func_699()
{
    // event 484_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        }
    }
    event_484_3_end: ;
}
void Frames::event_func_700()
{
    // event 486_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_486_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemydangerned_195_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemydangerned_195_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_486_3_0; single_instance_486_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_486_3_0 == NULL)
                    single_instance_486_3_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_486_3_1; single_instance_486_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_486_3_1 == NULL)
                    single_instance_486_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_486_3_1))->set_direction(8);
        ((Active*)((Active*)single_instance_486_3_1))->get_movement()->set_speed(15);
    }
    event_486_3_end: ;
}
void Frames::event_func_701()
{
    // event 487_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_487_3_end;
        FrameObject * single_instance_487_3_0; single_instance_487_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_487_3_0 == NULL)
                    single_instance_487_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_487_3_0))->set_direction(4);
        ((Active*)((Active*)single_instance_487_3_0))->get_movement()->set_speed(15);
    }
    event_487_3_end: ;
}
void Frames::event_func_702()
{
    // event 488_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_488_3_end;
        FrameObject * single_instance_488_3_0; single_instance_488_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_488_3_0 == NULL)
                    single_instance_488_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_488_3_0))->set_direction(0);
        ((Active*)((Active*)single_instance_488_3_0))->get_movement()->set_speed(15);
    }
    event_488_3_end: ;
}
void Frames::event_func_703()
{
    // event 489_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_489_3_end;
        FrameObject * single_instance_489_3_0; single_instance_489_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_489_3_0 == NULL)
                    single_instance_489_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_489_3_0))->set_direction(28);
        ((Active*)((Active*)single_instance_489_3_0))->get_movement()->set_speed(15);
    }
    event_489_3_end: ;
}
void Frames::event_func_704()
{
    // event 490_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_490_3_end;
        FrameObject * single_instance_490_3_0; single_instance_490_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_490_3_0 == NULL)
                    single_instance_490_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_490_3_0))->set_direction(24);
        ((Active*)((Active*)single_instance_490_3_0))->get_movement()->set_speed(15);
    }
    event_490_3_end: ;
}
void Frames::event_func_705()
{
    // event 491_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_491_3_end;
        FrameObject * single_instance_491_3_0; single_instance_491_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_491_3_0 == NULL)
                    single_instance_491_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_491_3_0))->set_direction(20);
        ((Active*)((Active*)single_instance_491_3_0))->get_movement()->set_speed(15);
    }
    event_491_3_end: ;
}
void Frames::event_func_706()
{
    // event 492_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_492_3_end;
        FrameObject * single_instance_492_3_0; single_instance_492_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_492_3_0 == NULL)
                    single_instance_492_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_492_3_0))->set_direction(16);
        ((Active*)((Active*)single_instance_492_3_0))->get_movement()->set_speed(15);
    }
    event_492_3_end: ;
}
void Frames::event_func_707()
{
    // event 493_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_195_instances.has_selection()) goto event_493_3_end;
        FrameObject * single_instance_493_3_0; single_instance_493_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_195_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_493_3_0 == NULL)
                    single_instance_493_3_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_493_3_0))->set_direction(12);
        ((Active*)((Active*)single_instance_493_3_0))->get_movement()->set_speed(15);
    }
    event_493_3_end: ;
}
void Frames::event_func_708()
{
    // event 496_3
    {
        // group: Dangerned
        enemydangerned_195_instances.clear_selection();
        active2_128_instances.clear_selection();
        if (!check_overlap(enemydangerned_195_instances, active2_128_instances)) goto event_496_3_end;
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
        for (ObjectIterator it(enemydangerned_195_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, 1); // 'enemy-dangerned'
            ((Active*)*it)->force_animation(13);
        }
    }
    event_496_3_end: ;
}
void Frames::event_func_709()
{
    // event 497_3
    {
        // group: Dangerned
        active2_128_instances.clear_selection();
        for (ObjectIterator it(active2_128_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(4, 1); // 'Active 2'
        }
    }
    event_497_3_end: ;
}
void Frames::event_func_710()
{
    // event 498_3
    {
        // group: Dangerned
        active2_128_instances.clear_selection();
        for (ObjectIterator it(active2_128_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) <= (0))) { it.deselect(); continue; }
        }
        if (!active2_128_instances.has_selection()) goto event_498_3_end;
        for (ObjectIterator it(active2_128_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_498_3_end: ;
}
void Frames::event_func_711()
{
    // event 500_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) > (-2))) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_500_3_end;
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, 1); // 'enemy-zappa'
        }
    }
    event_500_3_end: ;
}
void Frames::event_func_712()
{
    // event 501_3
    {
        // group: Zappa
        every_501_3_0 += manager.dt;
        if (every_501_3_0 < 0.02) goto event_501_3_end;
        every_501_3_0 -= 0.02;
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()*1.0+(((Active*)*it)->alterables->values.get(1)*0.7));
        }
    }
    event_501_3_end: ;
}
void Frames::event_func_713()
{
    // event 503_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'enemy-zappa'
        }
    }
    event_503_3_end: ;
}
void Frames::event_func_714()
{
    // event 504_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_504_3_end;
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_504_3_end: ;
}
void Frames::event_func_715()
{
    // event 505_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_505_3_end;
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_505_3_end: ;
}
void Frames::event_func_716()
{
    // event 506_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (-43))) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_506_3_end;
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(3)); // 'enemy-zappa'
        }
    }
    event_506_3_end: ;
}
void Frames::event_func_717()
{
    // event 508_3
    {
        // group: Zappa
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (77))) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_508_3_end;
        screen_126_instances.clear_selection();
        if (!check_overlap(screen_126_instances, enemyzappa_198_instances)) goto event_508_3_end;
        media.play_id(SOUND_QWASH_SHORT_15, -1, 1);
        media.set_sample_volume(SOUND_QWASH_SHORT_15, 0.2*global_values->get(12));
    }
    event_508_3_end: ;
}
void Frames::event_func_718()
{
    // event 509_3
    {
        // group: Zappa
        screen_126_instances.clear_selection();
        if (!check_not_overlap(screen_126_instances, enemyzappa_198_instances)) goto event_509_3_end;
        enemyzappa_198_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyzappa_198_instances.has_selection()) goto event_509_3_end;
        for (ObjectIterator it(enemyzappa_198_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_509_3_end: ;
}
