#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::test_collisions_0()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_1()
{
    // event 1_0
    {
        // group: None
        if (frame_time < 2.46) goto event_1_0_end;
        if (not_always_1_0_0 > loop_count) {
            not_always_1_0_0 = loop_count + 2;
            goto event_1_0_end;
        }
        not_always_1_0_0 = loop_count + 2;
        next_frame = index + 1 + 0;    
    
    }
    event_1_0_end: ;
}
void Frames::event_func_2()
{
    // event 3_0
    {
        // group: None
        if (!(frame_time >= 0.24)) goto event_3_0_end;
        ((Active*)get_instance(active6_1_instances))->set_y(((Active*)get_instance(active6_1_instances))->get_y()-get_floor(((((Active*)get_instance(active6_1_instances))->get_y()-((Active*)get_instance(anchor_3_instances))->get_y())*0.14)));
        ((Active*)get_instance(active2_2_instances))->set_y(((Active*)get_instance(active2_2_instances))->get_y()-get_ceil(((((Active*)get_instance(active2_2_instances))->get_y()-((Active*)get_instance(anchor_3_instances))->get_y())*0.14)));
    }
    event_3_0_end: ;
}
void Frames::event_func_3()
{
    // event 4_0
    {
        // group: None
        if (!(is_key_pressed_once(SDLK_q))) goto event_4_0_end;
        next_frame = 0 + 0;    
    
    }
    event_4_0_end: ;
}
void Frames::event_func_4()
{
    // event 5_0
    {
        // group: None
        if (frame_time < 1.0) goto event_5_0_end;
        if (not_always_5_0_0 > loop_count) {
            not_always_5_0_0 = loop_count + 2;
            goto event_5_0_end;
        }
        not_always_5_0_0 = loop_count + 2;
        ((Active*)get_instance(active3_4_instances))->get_movement()->set_speed(225);
        ((Active*)get_instance(active4_5_instances))->set_visible(true);
    }
    event_5_0_end: ;
}
void Frames::event_func_5()
{
    // event 6_0
    {
        // group: None
        if (!((global_values->get(13)) == (0))) goto event_6_0_end;
        if (not_always_6_0_0 > loop_count) {
            not_always_6_0_0 = loop_count + 2;
            goto event_6_0_end;
        }
        not_always_6_0_0 = loop_count + 2;
        ((Active*)get_instance(overlay2_6_instances))->set_visible(false);
    }
    event_6_0_end: ;
}
void Frames::event_func_6()
{
    // event 7_0
    {
        // group: None
        if (!((global_values->get(13)) == (1))) goto event_7_0_end;
        if (not_always_7_0_0 > loop_count) {
            not_always_7_0_0 = loop_count + 2;
            goto event_7_0_end;
        }
        not_always_7_0_0 = loop_count + 2;
        ((Active*)get_instance(overlay2_6_instances))->set_visible(true);
        ((Active*)get_instance(overlay2_6_instances))->force_animation(0);
    }
    event_7_0_end: ;
}
void Frames::event_func_7()
{
    // event 8_0
    {
        // group: None
        if (!((global_values->get(13)) == (2))) goto event_8_0_end;
        if (not_always_8_0_0 > loop_count) {
            not_always_8_0_0 = loop_count + 2;
            goto event_8_0_end;
        }
        not_always_8_0_0 = loop_count + 2;
        ((Active*)get_instance(overlay2_6_instances))->force_animation(12);
    }
    event_8_0_end: ;
}
void Frames::handle_frame_1_events()
{
    test_collisions_0();
    event_func_1();
    event_func_2();
    event_func_4();
    if (next_frame != -1) return;
    event_func_3();
    event_func_5();
    event_func_6();
    event_func_7();
}
void Frames::handle_frame_1_pre_events()
{
}
void Frames::event_func_8()
{
    // event 2_0
    {
        media.set_sample_volume(SOUND_WAPOP_20, 15);
    }
    event_2_0_end: ;
}
void Frames::event_func_9()
{
    // event 9_0
    {
        // group: None
        if (!(!media.is_channel_playing(31-1))) goto event_9_0_end;
        media.play_id(SOUND_THEME_BURGER_150_32, 31-1, 0);
    }
    event_9_0_end: ;
}
void Frames::event_func_10()
{
    // event 10_0
    {
        open_process(str_support_xbox_controller_exe_3, empty_string, 0);
    }
    event_10_0_end: ;
}
void Frames::on_frame_1_start_events()
{
    event_func_8();
    event_func_9();
    event_func_10();
}
void Frames::on_frame_1_init()
{
    index = 0;
    width = 640;
    height = 360;
    virtual_width = 640;
    virtual_height = 360;
    background_color = Color(28, 28, 28);
    timer_base = 0;
    reset_image_cache();
    flush_image_cache();
    layers.resize(1);
    layers[0].init(0, 1.0, 1.0, true, false, false);
    #ifdef CHOWDREN_HAS_MRT
    #endif
    #ifdef CHOWDREN_IS_3DS
    #endif
    add_object(create_active_0(-393, 60), 0);
    add_object(create_active6_1(139, -160), 0);
    add_object(create_active2_2(130, 364), 0);
    add_object(create_anchor_3(139, 104), 0);
    add_object(create_active3_4(-224, 96), 0);
    add_object(create_active4_5(0, 0), 0);
    add_object(create_overlay2_6(0, 0), 0);
    loops = NULL;
    not_always_1_0_0 = loop_count;
    not_always_8_0_0 = loop_count;
    not_always_7_0_0 = loop_count;
    not_always_6_0_0 = loop_count;
    not_always_5_0_0 = loop_count;
}
void Frames::test_collisions_1()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_11()
{
    // event 1_1
    {
        // group: Visuals
        active4_5_instances.clear_selection();
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active5_12_instances.clear_selection();
        for (ObjectIterator it(active5_12_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active7_13_instances.clear_selection();
        for (ObjectIterator it(active7_13_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-19);
        }
        active8_14_instances.clear_selection();
        for (ObjectIterator it(active8_14_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-23);
        }
        ((Active*)get_instance(active11_18_instances, default_active_instance))->move_front(((Active*)get_instance(active9_15_instances)));
        ((Active*)get_instance(active11_18_instances, default_active_instance))->move_front(((Active*)get_instance(active10_16_instances)));
        active11_18_instances.clear_selection();
        for (ObjectIterator it(active11_18_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-31);
        }
    }
    event_1_1_end: ;
}
void Frames::event_func_12()
{
    // event 2_1
    {
        // group: Visuals
        active4_5_instances.clear_selection();
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) <= (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active4_5_instances.has_selection()) goto event_2_1_end;
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_2_1_end: ;
}
void Frames::event_func_13()
{
    // event 3_1
    {
        // group: Visuals
        every_3_1_0 += manager.dt;
        if (every_3_1_0 < 0.19) goto event_3_1_end;
        every_3_1_0 -= 0.19;
        active5_12_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active5_12(640, 166), 3);
            active5_12_instances.add_back();
        }
        for (ObjectIterator it(active5_12_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(blockmaker_25_instances));
            if (parent == NULL) goto pos_end_3_1_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 166);
            pos_end_3_1_2: ;
        }
    }
    event_3_1_end: ;
}
void Frames::event_func_14()
{
    // event 4_1
    {
        // group: Visuals
        every_4_1_0 += manager.dt;
        if (every_4_1_0 < 0.95) goto event_4_1_end;
        every_4_1_0 -= 0.95;
        active7_13_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active7_13(640, 0), 3);
            active7_13_instances.add_back();
        }
        for (ObjectIterator it(active7_13_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_26_instances));
            if (parent == NULL) goto pos_end_4_1_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_4_1_2: ;
        }
    }
    event_4_1_end: ;
}
void Frames::event_func_15()
{
    // event 5_1
    {
        // group: Visuals
        every_5_1_0 += manager.dt;
        if (every_5_1_0 < 4.19) goto event_5_1_end;
        every_5_1_0 -= 4.19;
        active8_14_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active8_14(640, 0), 4);
            active8_14_instances.add_back();
        }
        for (ObjectIterator it(active8_14_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_26_instances));
            if (parent == NULL) goto pos_end_5_1_2;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_5_1_2: ;
        }
    }
    event_5_1_end: ;
}
void Frames::event_func_16()
{
    // event 6_1
    {
        // group: Visuals
        ((Active*)get_instance(active9_15_instances))->move_front(((Active*)get_instance(active4_5_instances)));
        ((Active*)get_instance(active10_16_instances))->move_front(((Active*)get_instance(active4_5_instances)));
    }
    event_6_1_end: ;
}
void Frames::event_func_17()
{
    // event 7_1
    {
        // group: Visuals
        every_7_1_0 += manager.dt;
        if (every_7_1_0 < 0.1) goto event_7_1_end;
        every_7_1_0 -= 0.1;
        ((Active*)get_instance(rando_19_instances))->alterables->values.set(0, randrange_event(30)); // 'rando'
    }
    event_7_1_end: ;
}
void Frames::event_func_18()
{
    // event 8_1
    {
        // group: Visuals
        if (!((((Active*)get_instance(rando_19_instances))->alterables->values.get(0)) == (7))) goto event_8_1_end;
        active11_18_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active11_18(674, 143), 3);
            active11_18_instances.add_back();
        }
        ((Active*)get_instance(rando_19_instances))->alterables->values.set(0, 0); // 'rando'
        for (ObjectIterator it(active11_18_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(active15_27_instances));
            if (parent == NULL) goto pos_end_8_1_1;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_8_1_1: ;
        }
    }
    event_8_1_end: ;
}
void Frames::event_func_19()
{
    // event 9_1
    {
        // group: Visuals
        ((Active*)get_instance(active9_15_instances))->alterables->values.add(0, 1); // 'Active 9'
        ((Active*)get_instance(active9_15_instances))->set_x(((Active*)get_instance(active9_15_instances))->alterables->values.get(4)+((Active*)get_instance(lginitpos_29_instances))->get_x()+((Active*)get_instance(active9_15_instances))->alterables->values.get(5)+((Active*)get_instance(active9_15_instances))->alterables->values.get(6));
        ((Active*)get_instance(active9_15_instances))->alterables->values.set(4, -5+(10*sin_deg(((Active*)get_instance(active9_15_instances))->alterables->values.get(1)*((Active*)get_instance(active9_15_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active9_15_instances))->alterables->values.set(5, -4+(8*sin_deg(((Active*)get_instance(active9_15_instances))->alterables->values.get(2)*((Active*)get_instance(active9_15_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active9_15_instances))->alterables->values.set(6, -3+(6*sin_deg(((Active*)get_instance(active9_15_instances))->alterables->values.get(3)*((Active*)get_instance(active9_15_instances))->alterables->values.get(0)*0.01))); // 'Active 9'
        ((Active*)get_instance(active10_16_instances))->set_x(((Active*)get_instance(active9_15_instances))->get_x());
    }
    event_9_1_end: ;
}
void Frames::event_func_20()
{
    // event 11_1
    {
        // group: Visuals
        active8_14_instances.clear_selection();
        for (ObjectIterator it(active8_14_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active8_14_instances.has_selection()) goto event_11_1_end;
        for (ObjectIterator it(active8_14_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_11_1_end: ;
}
void Frames::event_func_21()
{
    // event 12_1
    {
        // group: Visuals
        active7_13_instances.clear_selection();
        for (ObjectIterator it(active7_13_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active7_13_instances.has_selection()) goto event_12_1_end;
        for (ObjectIterator it(active7_13_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_12_1_end: ;
}
void Frames::event_func_22()
{
    // event 13_1
    {
        // group: Visuals
        active4_5_instances.clear_selection();
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active4_5_instances.has_selection()) goto event_13_1_end;
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_13_1_end: ;
}
void Frames::event_func_23()
{
    // event 14_1
    {
        // group: Visuals
        active5_12_instances.clear_selection();
        for (ObjectIterator it(active5_12_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active5_12_instances.has_selection()) goto event_14_1_end;
        for (ObjectIterator it(active5_12_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_14_1_end: ;
}
void Frames::event_func_24()
{
    // event 15_1
    {
        // group: Visuals
        active11_18_instances.clear_selection();
        for (ObjectIterator it(active11_18_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->outside_playfield())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(roadlimit_28_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!active11_18_instances.has_selection()) goto event_15_1_end;
        for (ObjectIterator it(active11_18_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_15_1_end: ;
}
void Frames::event_func_25()
{
    // event 16_1
    {
        // group: Visuals
        ((Active*)get_instance(roadmaker_26_instances))->alterables->values.add(0, 1); // 'roadmaker'
    }
    event_16_1_end: ;
}
void Frames::event_func_26()
{
    // event 17_1
    {
        // group: Visuals
        if (!((((Active*)get_instance(roadmaker_26_instances))->alterables->values.get(0)) == (35))) goto event_17_1_end;
        active4_5_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active4_11(659, 0), 3);
            active4_5_instances.add_back();
        }
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(roadmaker_26_instances));
            if (parent == NULL) goto pos_end_17_1_1;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_17_1_1: ;
        }
        ((Active*)get_instance(roadmaker_26_instances))->alterables->values.set(0, 0); // 'roadmaker'
    }
    event_17_1_end: ;
}
void Frames::event_func_27()
{
    // event 18_1
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_x()) < (((Active*)get_instance(camera_23_instances))->get_x()))) goto event_18_1_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()-get_floor(((((Active*)get_instance(camerachaser_24_instances))->get_x()-((Active*)get_instance(camera_23_instances))->get_x())*0.12)));
    }
    event_18_1_end: ;
}
void Frames::event_func_28()
{
    // event 19_1
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_x()) > (((Active*)get_instance(camera_23_instances))->get_x()))) goto event_19_1_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()-get_ceil(((((Active*)get_instance(camerachaser_24_instances))->get_x()-((Active*)get_instance(camera_23_instances))->get_x())*0.12)));
    }
    event_19_1_end: ;
}
void Frames::event_func_29()
{
    // event 20_1
    {
        // group: Scrolling
        {
            FrameObject * parent = ((Active*)get_instance(camerachaser_24_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_20_1_end: ;
}
void Frames::event_func_30()
{
    // event 21_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_21_1_end;
        ((Active*)get_instance(active14_22_instances))->set_x(806);
    }
    event_21_1_end: ;
}
void Frames::event_func_31()
{
    // event 22_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto event_22_1_end;
        ((Active*)get_instance(active14_22_instances))->set_x(856);
    }
    event_22_1_end: ;
}
void Frames::event_func_32()
{
    // event 23_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto event_23_1_end;
        ((Active*)get_instance(active14_22_instances))->set_x(904);
    }
    event_23_1_end: ;
}
void Frames::event_func_33()
{
    // event 24_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto event_24_1_end;
        ((Active*)get_instance(active14_22_instances))->set_x(968);
    }
    event_24_1_end: ;
}
void Frames::event_func_34()
{
    // event 25_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_exit_7))) goto event_25_1_end;
        ((Active*)get_instance(active14_22_instances))->set_x(1028);
    }
    event_25_1_end: ;
}
void Frames::event_func_35()
{
    // event 26_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_26_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_26_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_26_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_26_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_help_4);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_26_1_end: ;
}
void Frames::event_func_36()
{
    // event 27_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_27_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto event_27_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_27_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_27_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_play_0);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_27_1_end: ;
}
void Frames::event_func_37()
{
    // event 28_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_28_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto event_28_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_28_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_28_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_settings_5);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_28_1_end: ;
}
void Frames::event_func_38()
{
    // event 29_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_29_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto event_29_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_29_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_29_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_help_4);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_29_1_end: ;
}
void Frames::event_func_39()
{
    // event 30_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_30_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto event_30_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_30_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_30_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_credits_6);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_30_1_end: ;
}
void Frames::event_func_40()
{
    // event 31_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_31_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto event_31_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_31_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_31_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_settings_5);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_31_1_end: ;
}
void Frames::event_func_41()
{
    // event 32_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_32_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto event_32_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_32_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_32_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_exit_7);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_32_1_end: ;
}
void Frames::event_func_42()
{
    // event 33_1
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_33_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_exit_7))) goto event_33_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_33_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_33_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(0, str_credits_6);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_33_1_end: ;
}
void Frames::event_func_43()
{
    // event 34_1
    {
        // group: Main Menu
        if (!(is_player_pressed_once(1, 0))) goto event_34_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 0); // 'MenuDataStore'
    }
    event_34_1_end: ;
}
void Frames::event_func_44()
{
    // event 35_1
    bool or_result_35_1 = false;
    bool or_temp_result_35_1_0 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_35_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto or_event_35_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_1_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_35_1_0_end;
        or_result_35_1 = true;
        or_temp_result_35_1_0 = true;
    }
    or_event_35_1_0_end: ;
    // event 35_1
    bool or_temp_result_35_1_1 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_35_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto or_event_35_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_1_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_35_1_1_end;
        or_result_35_1 = true;
        or_temp_result_35_1_1 = true;
    }
    or_event_35_1_1_end: ;
    // event 35_1
    bool or_temp_result_35_1_2 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_35_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto or_event_35_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_1_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_35_1_2_end;
        or_result_35_1 = true;
        or_temp_result_35_1_2 = true;
    }
    or_event_35_1_2_end: ;
    // event 35_1
    bool or_temp_result_35_1_3 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_35_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_help_4))) goto or_event_35_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_35_1_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_35_1_3_end;
        or_result_35_1 = true;
        or_temp_result_35_1_3 = true;
        or_event_35_1_3_end: ;
        if (!or_result_35_1) goto or_final_or_event_35_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_help_4);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_35_1_3_end: ;
}
void Frames::event_func_45()
{
    // event 36_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_36_1_end;
        ((Active*)get_instance(camera_23_instances))->set_x(960);
    }
    event_36_1_end: ;
}
void Frames::event_func_46()
{
    // event 37_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_help_4))) goto event_37_1_end;
        ((Active*)get_instance(camera_23_instances))->set_x(320);
    }
    event_37_1_end: ;
}
void Frames::event_func_47()
{
    // event 38_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_38_1_end;
        ((Active*)get_instance(camera_23_instances))->set_x(1600);
    }
    event_38_1_end: ;
}
void Frames::event_func_48()
{
    // event 39_1
    bool or_result_39_1 = false;
    bool or_temp_result_39_1_0 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_39_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto or_event_39_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_1_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_39_1_0_end;
        or_result_39_1 = true;
        or_temp_result_39_1_0 = true;
    }
    or_event_39_1_0_end: ;
    // event 39_1
    bool or_temp_result_39_1_1 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_39_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto or_event_39_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_1_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_39_1_1_end;
        or_result_39_1 = true;
        or_temp_result_39_1_1 = true;
    }
    or_event_39_1_1_end: ;
    // event 39_1
    bool or_temp_result_39_1_2 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_39_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto or_event_39_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_1_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_39_1_2_end;
        or_result_39_1 = true;
        or_temp_result_39_1_2 = true;
    }
    or_event_39_1_2_end: ;
    // event 39_1
    bool or_temp_result_39_1_3 = false;
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_39_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_settings_5))) goto or_event_39_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_39_1_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_39_1_3_end;
        or_result_39_1 = true;
        or_temp_result_39_1_3 = true;
        or_event_39_1_3_end: ;
        if (!or_result_39_1) goto or_final_or_event_39_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_settings_5);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_39_1_3_end: ;
}
void Frames::event_func_49()
{
    // event 40_1
    bool or_result_40_1 = false;
    bool or_temp_result_40_1_0 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_40_1_0_end;
        or_result_40_1 = true;
        or_temp_result_40_1_0 = true;
    }
    or_event_40_1_0_end: ;
    // event 40_1
    bool or_temp_result_40_1_1 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_40_1_1_end;
        or_result_40_1 = true;
        or_temp_result_40_1_1 = true;
    }
    or_event_40_1_1_end: ;
    // event 40_1
    bool or_temp_result_40_1_2 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_40_1_2_end;
        or_result_40_1 = true;
        or_temp_result_40_1_2 = true;
    }
    or_event_40_1_2_end: ;
    // event 40_1
    bool or_temp_result_40_1_3 = false;
    {
        // group: Main Menu
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_40_1_3_end;
        or_result_40_1 = true;
        or_temp_result_40_1_3 = true;
        or_event_40_1_3_end: ;
        if (!or_result_40_1) goto or_final_or_event_40_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(1, 1); // 'MenuDataStore'
    }
    or_final_or_event_40_1_3_end: ;
}
void Frames::event_func_50()
{
    // event 41_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_41_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_41_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_41_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_exit_7))) goto event_41_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        next_frame = 6 + 0;    
    
    }
    event_41_1_end: ;
}
void Frames::event_func_51()
{
    // event 42_1
    {
        // group: Main Menu
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_42_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_42_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto event_42_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_play_0))) goto event_42_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        next_frame = index + 1 + 0;    
    
    }
    event_42_1_end: ;
}
void Frames::event_func_52()
{
    // event 43_1
    bool or_result_43_1 = false;
    bool or_temp_result_43_1_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_43_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_help_4))) goto or_event_43_1_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_43_1_0_end;
        or_result_43_1 = true;
        or_temp_result_43_1_0 = true;
    }
    or_event_43_1_0_end: ;
    // event 43_1
    bool or_temp_result_43_1_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_43_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_help_4))) goto or_event_43_1_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_43_1_1_end;
        or_result_43_1 = true;
        or_temp_result_43_1_1 = true;
    }
    or_event_43_1_1_end: ;
    // event 43_1
    bool or_temp_result_43_1_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_43_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_help_4))) goto or_event_43_1_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_43_1_2_end;
        or_result_43_1 = true;
        or_temp_result_43_1_2 = true;
    }
    or_event_43_1_2_end: ;
    // event 43_1
    bool or_temp_result_43_1_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_43_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_help_4))) goto or_event_43_1_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_43_1_3_end;
        or_result_43_1 = true;
        or_temp_result_43_1_3 = true;
        or_event_43_1_3_end: ;
        if (!or_result_43_1) goto or_final_or_event_43_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_main_1);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_43_1_3_end: ;
}
void Frames::event_func_53()
{
    // event 44_1
    bool or_result_44_1 = false;
    bool or_temp_result_44_1_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_44_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto or_event_44_1_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_44_1_0_end;
        or_result_44_1 = true;
        or_temp_result_44_1_0 = true;
    }
    or_event_44_1_0_end: ;
    // event 44_1
    bool or_temp_result_44_1_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_44_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto or_event_44_1_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_44_1_1_end;
        or_result_44_1 = true;
        or_temp_result_44_1_1 = true;
    }
    or_event_44_1_1_end: ;
    // event 44_1
    bool or_temp_result_44_1_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_44_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto or_event_44_1_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_44_1_2_end;
        or_result_44_1 = true;
        or_temp_result_44_1_2 = true;
    }
    or_event_44_1_2_end: ;
    // event 44_1
    bool or_temp_result_44_1_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_44_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto or_event_44_1_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_44_1_3_end;
        or_result_44_1 = true;
        or_temp_result_44_1_3 = true;
        or_event_44_1_3_end: ;
        if (!or_result_44_1) goto or_final_or_event_44_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_main_1);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_44_1_3_end: ;
}
void Frames::event_func_54()
{
    // event 45_1
    bool or_result_45_1 = false;
    bool or_temp_result_45_1_0 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_45_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_1_0_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto or_event_45_1_0_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto or_event_45_1_0_end;
        or_result_45_1 = true;
        or_temp_result_45_1_0 = true;
    }
    or_event_45_1_0_end: ;
    // event 45_1
    bool or_temp_result_45_1_1 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_45_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_1_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto or_event_45_1_1_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON2))) goto or_event_45_1_1_end;
        or_result_45_1 = true;
        or_temp_result_45_1_1 = true;
    }
    or_event_45_1_1_end: ;
    // event 45_1
    bool or_temp_result_45_1_2 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_45_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_1_2_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto or_event_45_1_2_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON3))) goto or_event_45_1_2_end;
        or_result_45_1 = true;
        or_temp_result_45_1_2 = true;
    }
    or_event_45_1_2_end: ;
    // event 45_1
    bool or_temp_result_45_1_3 = false;
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto or_event_45_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_main_1))) goto or_event_45_1_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON4))) goto or_event_45_1_3_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(0)) == (str_credits_6))) goto or_event_45_1_3_end;
        or_result_45_1 = true;
        or_temp_result_45_1_3 = true;
        or_event_45_1_3_end: ;
        if (!or_result_45_1) goto or_final_or_event_45_1_3_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_credits_6);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    or_final_or_event_45_1_3_end: ;
}
void Frames::event_func_55()
{
    // event 46_1
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto event_46_1_end;
        ((Active*)get_instance(active13_20_instances))->set_visible(false);
        ((Active*)get_instance(active18_56_instances))->set_visible(false);
        ((Active*)get_instance(active14_22_instances))->set_visible(false);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.add(2, 1); // 'MenuDataStore'
        string2_21_instances.clear_selection();
        for (ObjectIterator it(string2_21_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(true);
        }
    }
    event_46_1_end: ;
}
void Frames::event_func_56()
{
    // event 47_1
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) != (str_credits_6))) goto event_47_1_end;
        ((Active*)get_instance(active13_20_instances))->set_visible(true);
        ((Active*)get_instance(active18_56_instances))->set_visible(true);
        ((Active*)get_instance(active14_22_instances))->set_visible(true);
        string2_21_instances.clear_selection();
        for (ObjectIterator it(string2_21_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(false);
        }
    }
    event_47_1_end: ;
}
void Frames::event_func_57()
{
    // event 48_1
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_credits_6))) goto event_48_1_end;
        if (not_always_48_1_0 > loop_count) {
            not_always_48_1_0 = loop_count + 2;
            goto event_48_1_end;
        }
        not_always_48_1_0 = loop_count + 2;
        string2_21_instances.clear_selection();
        for (ObjectIterator it(string2_21_instances); !it.end(); ++it) {
            ((Text*)*it)->set_visible(true);
            ((Text*)*it)->set_paragraph(1-1);
        }
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(2, 0); // 'MenuDataStore'
    }
    event_48_1_end: ;
}
void Frames::event_func_58()
{
    // event 49_1
    {
        // group: Credits
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(2)) > (350))) goto event_49_1_end;
        string2_21_instances.clear_selection();
        for (ObjectIterator it(string2_21_instances); !it.end(); ++it) {
            ((Text*)*it)->next_paragraph();
        }
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(2, 0); // 'MenuDataStore'
    }
    event_49_1_end: ;
}
void Frames::event_func_59()
{
    // event 50_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_50_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1280);
        ((Active*)get_instance(active25_53_instances))->set_y(240);
    }
    event_50_1_end: ;
}
void Frames::event_func_60()
{
    // event 51_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_51_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1280);
        ((Active*)get_instance(active25_53_instances))->set_y(272);
    }
    event_51_1_end: ;
}
void Frames::event_func_61()
{
    // event 52_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_screen_shake_9))) goto event_52_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1440);
        ((Active*)get_instance(active25_53_instances))->set_y(240);
    }
    event_52_1_end: ;
}
void Frames::event_func_62()
{
    // event 53_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_wipe_save_data_10))) goto event_53_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1440);
        ((Active*)get_instance(active25_53_instances))->set_y(272);
    }
    event_53_1_end: ;
}
void Frames::event_func_63()
{
    // event 54_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_sfx_volume_11))) goto event_54_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1600);
        ((Active*)get_instance(active25_53_instances))->set_y(240);
    }
    event_54_1_end: ;
}
void Frames::event_func_64()
{
    // event 55_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_music_volume_12))) goto event_55_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1600);
        ((Active*)get_instance(active25_53_instances))->set_y(272);
    }
    event_55_1_end: ;
}
void Frames::event_func_65()
{
    // event 56_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_save_changes_13))) goto event_56_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1786);
        ((Active*)get_instance(active25_53_instances))->set_y(304);
    }
    event_56_1_end: ;
}
void Frames::event_func_66()
{
    // event 57_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_vsync_14))) goto event_57_1_end;
        ((Active*)get_instance(active25_53_instances))->set_x(1440);
        ((Active*)get_instance(active25_53_instances))->set_y(304);
    }
    event_57_1_end: ;
}
void Frames::event_func_67()
{
    // event 58_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_58_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_58_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_58_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_58_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_screen_shake_9);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_58_1_end: ;
}
void Frames::event_func_68()
{
    // event 59_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_59_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_screen_shake_9))) goto event_59_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_59_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_59_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_sfx_volume_11);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_59_1_end: ;
}
void Frames::event_func_69()
{
    // event 60_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_60_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_sfx_volume_11))) goto event_60_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_60_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_60_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_screen_shake_9);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_60_1_end: ;
}
void Frames::event_func_70()
{
    // event 61_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_61_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_screen_shake_9))) goto event_61_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_61_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_61_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_edit_controls_2);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_61_1_end: ;
}
void Frames::event_func_71()
{
    // event 62_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_62_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_62_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_62_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_62_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_dash_type_8);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_62_1_end: ;
}
void Frames::event_func_72()
{
    // event 63_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_63_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_screen_shake_9))) goto event_63_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_63_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_63_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_wipe_save_data_10);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_63_1_end: ;
}
void Frames::event_func_73()
{
    // event 64_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_64_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_sfx_volume_11))) goto event_64_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_64_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_64_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_music_volume_12);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_64_1_end: ;
}
void Frames::event_func_74()
{
    // event 65_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_65_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_65_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_65_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_65_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_edit_controls_2);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_65_1_end: ;
}
void Frames::event_func_75()
{
    // event 66_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_66_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_wipe_save_data_10))) goto event_66_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_66_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_66_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_screen_shake_9);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_66_1_end: ;
}
void Frames::event_func_76()
{
    // event 67_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_67_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_music_volume_12))) goto event_67_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_67_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_67_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_sfx_volume_11);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_67_1_end: ;
}
void Frames::event_func_77()
{
    // event 68_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_68_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_68_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_68_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_68_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_wipe_save_data_10);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_68_1_end: ;
}
void Frames::event_func_78()
{
    // event 69_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_69_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_wipe_save_data_10))) goto event_69_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_69_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_69_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_music_volume_12);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_69_1_end: ;
}
void Frames::event_func_79()
{
    // event 70_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_70_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_wipe_save_data_10))) goto event_70_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_70_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_70_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_dash_type_8);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_70_1_end: ;
}
void Frames::event_func_80()
{
    // event 71_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_71_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_music_volume_12))) goto event_71_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_71_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_71_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_wipe_save_data_10);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_71_1_end: ;
}
void Frames::event_func_81()
{
    // event 72_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_72_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_72_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_72_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_72_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_vsync_14);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_72_1_end: ;
}
void Frames::event_func_82()
{
    // event 73_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_73_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_wipe_save_data_10))) goto event_73_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_73_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_73_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_vsync_14);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_73_1_end: ;
}
void Frames::event_func_83()
{
    // event 74_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_74_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_music_volume_12))) goto event_74_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_74_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_74_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_save_changes_13);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_74_1_end: ;
}
void Frames::event_func_84()
{
    // event 75_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_75_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_save_changes_13))) goto event_75_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_75_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_75_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_music_volume_12);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_75_1_end: ;
}
void Frames::event_func_85()
{
    // event 76_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_76_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_music_volume_12))) goto event_76_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_76_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_76_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_save_changes_13);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_76_1_end: ;
}
void Frames::event_func_86()
{
    // event 77_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_77_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_save_changes_13))) goto event_77_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_77_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_77_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_vsync_14);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_77_1_end: ;
}
void Frames::event_func_87()
{
    // event 78_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_UP))) goto event_78_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_vsync_14))) goto event_78_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_78_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_78_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_wipe_save_data_10);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_78_1_end: ;
}
void Frames::event_func_88()
{
    // event 79_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_79_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_vsync_14))) goto event_79_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_79_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_79_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_save_changes_13);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_79_1_end: ;
}
void Frames::event_func_89()
{
    // event 80_1
    {
        // group: Settings
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_80_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_vsync_14))) goto event_80_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_80_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_80_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(2, str_dash_type_8);
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_80_1_end: ;
}
void Frames::event_func_90()
{
    // event 82_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_82_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_82_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_82_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_edit_controls_2))) goto event_82_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
    }
    event_82_1_end: ;
}
void Frames::event_func_91()
{
    // event 83_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_83_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_83_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_83_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_save_changes_13))) goto event_83_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        ((Active*)get_instance(menudatastore_41_instances))->alterables->strings.set(1, str_main_1);
    }
    event_83_1_end: ;
}
void Frames::event_func_92()
{
    // event 84_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_84_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_84_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_84_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_84_1_end;
        if (!((global_values->get(5)) == (0))) goto event_84_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        global_values->set(5, 1);
    }
    event_84_1_end: ;
}
void Frames::event_func_93()
{
    // event 85_1
    {
        // group: Settings
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(1)) == (1))) goto event_85_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->values.get(0)) == (0))) goto event_85_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(1)) == (str_settings_5))) goto event_85_1_end;
        if (!((((Active*)get_instance(menudatastore_41_instances))->alterables->strings.get(2)) == (str_dash_type_8))) goto event_85_1_end;
        if (!((global_values->get(5)) == (1))) goto event_85_1_end;
        ((Active*)get_instance(menudatastore_41_instances))->alterables->values.set(0, 1); // 'MenuDataStore'
        global_values->set(5, 0);
    }
    event_85_1_end: ;
}
