#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_819()
{
    // event 665_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'enemy-gearoflaw'
        }
    }
    event_665_3_end: ;
}
void Frames::event_func_820()
{
    // event 670_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        objcogblock_243_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_242_instances, objcogblock_243_instances)) goto event_670_3_end;
        for (ObjectIterator it(objcogblock_243_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_243_instances.has_selection()) goto event_670_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'enemy-gearoflaw'
        }
    }
    event_670_3_end: ;
}
void Frames::event_func_821()
{
    // event 671_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->get_movement()->is_stopped())) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_671_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_671_3_end: ;
}
void Frames::event_func_822()
{
    // event 676_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (2))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_676_3_end;
        enemyup_140_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_242_instances, enemyup_140_instances)) goto event_676_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(12);
        }
    }
    event_676_3_end: ;
}
void Frames::event_func_823()
{
    // event 677_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (2))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_677_3_end;
        enemyright_137_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_242_instances, enemyright_137_instances)) goto event_677_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(4);
        }
    }
    event_677_3_end: ;
}
void Frames::event_func_824()
{
    // event 678_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65280))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_678_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(12);
        }
    }
    event_678_3_end: ;
}
void Frames::event_func_825()
{
    // event 679_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(255))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_679_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(4);
        }
    }
    event_679_3_end: ;
}
void Frames::event_func_826()
{
    // event 680_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(4278190080))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_680_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(28);
        }
    }
    event_680_3_end: ;
}
void Frames::event_func_827()
{
    // event 681_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16711680))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_681_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(20);
        }
    }
    event_681_3_end: ;
}
void Frames::event_func_828()
{
    // event 682_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_242_instances, enemygearoflaw_242_instances)) goto event_682_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-gearoflaw'
        }
    }
    event_682_3_end: ;
}
void Frames::event_func_829()
{
    // event 683_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        if (!check_not_overlap(enemygearoflaw_242_instances, screen_126_instances)) goto event_683_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_683_3_end: ;
}
void Frames::event_func_830()
{
    // event 684_3
    {
        // group: Bouncer
        enemygearoflaw_242_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_242_instances.has_selection()) goto event_684_3_end;
        for (ObjectIterator it(enemygearoflaw_242_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_684_3_end: ;
}
void Frames::event_func_831()
{
    // event 685_3
    {
        // group: Newbox
        objnewcrate_252_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_252_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 0.22); // 'obj-newcrate'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_685_3_end: ;
}
void Frames::event_func_832()
{
    // event 686_3
    bool or_result_686_3 = false;
    bool or_temp_result_686_3_0 = false;
    {
        // group: Newbox
        objnewcrate_252_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_252_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!objnewcrate_252_instances.has_selection()) goto or_event_686_3_0_end;
        or_result_686_3 = true;
        or_temp_result_686_3_0 = true;
    }
    or_event_686_3_0_end: ;
    objnewcrate_252_instances.clear_saved_selection();
    if (or_temp_result_686_3_0) {
        objnewcrate_252_instances.save_selection();
    }
    // event 686_3
    bool or_temp_result_686_3_1 = false;
    {
        // group: Newbox
        objnewcrate_252_instances.clear_selection();
        objcogblock_243_instances.clear_selection();
        if (!check_overlap(objnewcrate_252_instances, objcogblock_243_instances)) goto or_event_686_3_1_end;
        for (ObjectIterator it(objcogblock_243_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_243_instances.has_selection()) goto or_event_686_3_1_end;
        or_result_686_3 = true;
        or_temp_result_686_3_1 = true;
        or_event_686_3_1_end: ;
        objcogblock_243_instances.clear_saved_selection();
        if (or_temp_result_686_3_1) {
            objnewcrate_252_instances.save_selection();
            objcogblock_243_instances.save_selection();
        }
        if (!or_result_686_3) goto or_final_or_event_686_3_1_end;
        objcogblock_243_instances.clear_selection();
        objnewcrate_252_instances.clear_selection();
        if (or_temp_result_686_3_0 || or_temp_result_686_3_1) {
            objnewcrate_252_instances.restore_selection();
        }
        if (or_temp_result_686_3_1) {
            objcogblock_243_instances.restore_selection();
        }
        {
            loop_newcrateinground_running = true;
            int times = int(100);
            loop_newcrateinground_index = 0;
            while (loop_newcrateinground_index < times) {
                loop_newcrateinground_3();
                if (!loop_newcrateinground_running) break;
                loop_newcrateinground_index++;
            }
        }
        objnewcrate_252_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_252_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'obj-newcrate'
        }
    }
    or_final_or_event_686_3_1_end: ;
}
void Frames::event_func_833()
{
    // event 689_3
    {
        // group: Newbox
        objnewcrate_252_instances.clear_selection();
        for (ObjectIterator it(objnewcrate_252_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!objnewcrate_252_instances.has_selection()) goto event_689_3_end;
        if (!check_not_overlap(objnewcrate_252_instances, objcogblock_243_instances)) goto event_689_3_end;
        objcogblock_243_instances.clear_selection();
        for (ObjectIterator it(objcogblock_243_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_243_instances.has_selection()) goto event_689_3_end;
        if (!(false)) goto event_689_3_end;
            loop_newcrateinground_running = false;
    
    }
    event_689_3_end: ;
}
void Frames::event_func_834()
{
    // event 690_3
    {
        // group: Newbox
        objnewcrate_252_instances.clear_selection();
        boxdestroyer_115_instances.clear_selection();
        if (!check_overlap(objnewcrate_252_instances, boxdestroyer_115_instances)) goto event_690_3_end;
        for (ObjectIterator it(objnewcrate_252_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_690_3_end: ;
}
void Frames::event_func_835()
{
    // event 693_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_693_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(10, 0.23); // 'enemy-lonestarnew'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(10));
        }
    }
    event_693_3_end: ;
}
void Frames::event_func_836()
{
    // event 694_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(10)) > (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_694_3_end;
        {
            loop_lonestaringround_running = true;
            int times = int(5);
            loop_lonestaringround_index = 0;
            while (loop_lonestaringround_index < times) {
                loop_lonestaringround_3();
                if (!loop_lonestaringround_running) break;
                loop_lonestaringround_index++;
            }
        }
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_694_3_end: ;
}
void Frames::event_func_837()
{
    // event 696_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_696_3_end;
        if (!(false)) goto event_696_3_end;
            loop_lonestaringround_running = false;
    
    }
    event_696_3_end: ;
}
void Frames::event_func_838()
{
    // event 697_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(10)) <= (1))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_697_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestarnew'
        }
    }
    event_697_3_end: ;
}
void Frames::event_func_839()
{
    // event 698_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (50))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_698_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestarnew'
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(11));
            ((Active*)*it)->alterables->values.set(10, ((Active*)*it)->alterables->values.get(12)/MathHelper()/10.0); // 'enemy-lonestarnew'
            ((Active*)*it)->set_direction(((Active*)*it)->get_direction()+(16*((Active*)*it)->alterables->values.get(15)));
            ((Active*)*it)->alterables->values.set(15, 0); // 'enemy-lonestarnew'
        }
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.5);
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'enemy-lonestarnew'
        }
    }
    event_698_3_end: ;
}
void Frames::event_func_840()
{
    // event 699_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) >= (28))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_699_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(28);
        }
    }
    event_699_3_end: ;
}
void Frames::event_func_841()
{
    // event 700_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(10)) < (-5.75))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_700_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(10, -5*1.15); // 'enemy-lonestarnew'
        }
    }
    event_700_3_end: ;
}
void Frames::event_func_842()
{
    // event 701_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(13, get_abs(((Active*)*it)->get_x()-((Active*)get_instance(player_71_instances))->get_x())); // 'enemy-lonestarnew'
        }
    }
    event_701_3_end: ;
}
void Frames::event_func_843()
{
    // event 702_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) > (150))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_702_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 27); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -45); // 'enemy-lonestarnew'
        }
    }
    event_702_3_end: ;
}
void Frames::event_func_844()
{
    // event 703_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) <= (150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(13)) > (75))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_703_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 17); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -50); // 'enemy-lonestarnew'
        }
    }
    event_703_3_end: ;
}
void Frames::event_func_845()
{
    // event 704_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) <= (75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(13)) > (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_704_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 22); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -47); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.add(16, 1); // 'enemy-lonestarnew'
        }
    }
    event_704_3_end: ;
}
void Frames::event_func_846()
{
    // event 705_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        if (!check_overlap(enemylonestarnew_260_instances, enemylonestarnew_260_instances)) goto event_705_3_end;
        FrameObject * single_instance_705_3_0; single_instance_705_3_0 = pick_random(enemylonestarnew_260_instances);
        if (single_instance_705_3_0 == NULL) goto event_705_3_end;
        if (not_always_705_3_1 > loop_count) {
            not_always_705_3_1 = loop_count + 2;
            goto event_705_3_end;
        }
        not_always_705_3_1 = loop_count + 2;
        ((Active*)((Active*)single_instance_705_3_0))->alterables->values.set(15, 1); // 'enemy-lonestarnew'
        ((Active*)((Active*)single_instance_705_3_0))->alterables->values.set(16, 0); // 'enemy-lonestarnew'
    }
    event_705_3_end: ;
}
void Frames::event_func_847()
{
    // event 706_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(17)) < (25))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_706_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestarnew'
        }
    }
    event_706_3_end: ;
}
void Frames::event_func_848()
{
    // event 707_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(17, 1); // 'enemy-lonestarnew'
        }
    }
    event_707_3_end: ;
}
void Frames::event_func_849()
{
    // event 708_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(16)) > (15))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_708_3_end;
        FrameObject * single_instance_708_3_0; single_instance_708_3_0 = pick_random(enemylonestarnew_260_instances);
        if (single_instance_708_3_0 == NULL) goto event_708_3_end;
        ((Active*)((Active*)single_instance_708_3_0))->alterables->values.set(15, 1); // 'enemy-lonestarnew'
        ((Active*)((Active*)single_instance_708_3_0))->alterables->values.set(16, 0); // 'enemy-lonestarnew'
    }
    event_708_3_end: ;
}
void Frames::event_func_850()
{
    // event 709_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(18)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_709_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(15, 0); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(16, 0); // 'enemy-lonestarnew'
        }
    }
    event_709_3_end: ;
}
void Frames::event_func_851()
{
    // event 710_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        if (!check_overlap(enemylonestarnew_260_instances, enemylonestarnew_260_instances)) goto event_710_3_end;
        FrameObject * single_instance_710_3_0; single_instance_710_3_0 = pick_random(enemylonestarnew_260_instances);
        if (single_instance_710_3_0 == NULL) goto event_710_3_end;
        ((Active*)((Active*)single_instance_710_3_0))->alterables->values.set(18, 1); // 'enemy-lonestarnew'
    }
    event_710_3_end: ;
}
void Frames::event_func_852()
{
    // event 711_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (2))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(17)) > (66))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_711_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_711_3_end: ;
}
void Frames::event_func_853()
{
    // event 712_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (2))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(17)) > (66))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_712_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_712_3_end: ;
}
void Frames::event_func_854()
{
    // event 713_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(16)) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_713_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_713_3_end: ;
}
void Frames::event_func_855()
{
    // event 714_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_714_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_714_3_end: ;
}
void Frames::event_func_856()
{
    // event 715_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_715_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-lonestarnew'
        }
    }
    event_715_3_end: ;
}
void Frames::event_func_857()
{
    // event 716_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_71_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_716_3_end;
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-lonestarnew'
        }
    }
    event_716_3_end: ;
}
void Frames::event_func_858()
{
    // event 717_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(16))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_717_3_end;
        if (not_always_717_3_0 > loop_count) {
            not_always_717_3_0 = loop_count + 2;
            goto event_717_3_end;
        }
        not_always_717_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_717_3_1; single_instance_717_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_260_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_717_3_1 == NULL)
                    single_instance_717_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_717_3_1))->set_direction(get_direction_int(((Active*)single_instance_717_3_1)->x, ((Active*)single_instance_717_3_1)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        ((Active*)((Active*)single_instance_717_3_1))->get_movement()->set_speed(60);
    }
    event_717_3_end: ;
}
void Frames::event_func_859()
{
    // event 718_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(17))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_718_3_end;
        if (not_always_718_3_0 > loop_count) {
            not_always_718_3_0 = loop_count + 2;
            goto event_718_3_end;
        }
        not_always_718_3_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_718_3_1; single_instance_718_3_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_260_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_180(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_718_3_1 == NULL)
                    single_instance_718_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_718_3_1))->set_direction(get_direction_int(((Active*)single_instance_718_3_1)->x, ((Active*)single_instance_718_3_1)->y, ((Active*)get_instance(player_71_instances))->x + 0, ((Active*)get_instance(player_71_instances))->y + 0));
        ((Active*)((Active*)single_instance_718_3_1))->get_movement()->set_speed(60);
    }
    event_718_3_end: ;
}
void Frames::event_func_860()
{
    // event 721_3
    {
        // group: Lonestar New
        enemylonestarnew_260_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_260_instances.has_selection()) goto event_721_3_end;
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(0, ((Active*)get_single(enemylonestarnew_260_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_161_instances))->alterables->values.set(1, ((Active*)get_single(enemylonestarnew_260_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_721_3_0; single_instance_721_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_260_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + -10), parent->layer);
                if (single_instance_721_3_0 == NULL)
                    single_instance_721_3_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 20); // 'camera shaker'
        for (ObjectIterator it(enemylonestarnew_260_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_3();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_721_3_end: ;
}
void Frames::event_func_861()
{
    // event 724_3
    {
        // group: General Enemy
        ((Active*)get_instance(screenfar_259_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x());
        ((Active*)get_instance(screenfar_259_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y());
    }
    event_724_3_end: ;
}
void Frames::event_func_862()
{
    // event 729_3
    {
        // group: Disappearing Blocks
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_729_3_end;
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_729_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_729_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_729_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_729_3_end: ;
}
void Frames::event_func_863()
{
    // event 730_3
    {
        // group: Disappearing Blocks
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_730_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_730_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_730_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_730_3_end: ;
}
void Frames::event_func_864()
{
    // event 731_3
    {
        // group: Disappearing Blocks
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_731_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_731_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_731_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_731_3_end: ;
}
void Frames::event_func_865()
{
    // event 732_3
    {
        // group: Disappearing Blocks
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_732_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_732_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_732_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_732_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_732_3_end: ;
}
void Frames::event_func_866()
{
    // event 733_3
    {
        // group: Disappearing Blocks
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_733_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_733_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_733_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_733_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_733_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_733_3_end: ;
}
void Frames::event_func_867()
{
    // event 734_3
    {
        // group: Disappearing Blocks
        detector_72_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(detector_72_instances, dissappear_131_instances)) goto event_734_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_734_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_734_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_734_3_end: ;
}
void Frames::event_func_868()
{
    // event 736_3
    {
        // group: Disappearing Blocks
        dissappear_131_instances.clear_selection();
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_736_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'dissappear'
        }
    }
    event_736_3_end: ;
}
void Frames::event_func_869()
{
    // event 737_3
    {
        // group: Disappearing Blocks
        dissappear_131_instances.clear_selection();
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (30))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (111))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_737_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(230);
            ((Active*)*it)->alterables->values.set(2, 1); // 'dissappear'
        }
    }
    event_737_3_end: ;
}
void Frames::event_func_870()
{
    // event 738_3
    {
        // group: Disappearing Blocks
        dissappear_131_instances.clear_selection();
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (111))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_738_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 0); // 'dissappear'
            ((Active*)*it)->blend_color.set_alpha_coefficient(0);
            ((Active*)*it)->alterables->values.set(0, 0); // 'dissappear'
            ((Active*)*it)->alterables->values.set(2, 0); // 'dissappear'
        }
    }
    event_738_3_end: ;
}
void Frames::event_func_871()
{
    // event 739_3
    {
        // group: Disappearing Blocks
        player_71_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(player_71_instances, dissappear_131_instances)) goto event_739_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_739_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_y()) >= (((Active*)get_single(dissappear_131_instances, default_active_instance))->get_y()+18))) goto event_739_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+(((Active*)get_instance(player_71_instances))->get_y()-((Active*)get_single(dissappear_131_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_739_3_end: ;
}
void Frames::event_func_872()
{
    // event 740_3
    {
        // group: Disappearing Blocks
        player_71_instances.clear_selection();
        dissappear_131_instances.clear_selection();
        if (!check_overlap(player_71_instances, dissappear_131_instances)) goto event_740_3_end;
        for (ObjectIterator it(dissappear_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_131_instances.has_selection()) goto event_740_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_y()) < (((Active*)get_single(dissappear_131_instances, default_active_instance))->get_y()+18))) goto event_740_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()-(((Active*)get_instance(player_71_instances))->get_y()-((Active*)get_single(dissappear_131_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_740_3_end: ;
}
void Frames::event_func_873()
{
    // event 741_3
    {
        // group: Bullet Redirectors
        sendup_132_instances.clear_selection();
        for (ObjectIterator it(sendup_132_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendright_134_instances.clear_selection();
        for (ObjectIterator it(sendright_134_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        senddown_135_instances.clear_selection();
        for (ObjectIterator it(senddown_135_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendleft_136_instances.clear_selection();
        for (ObjectIterator it(sendleft_136_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_741_3_end: ;
}
void Frames::event_func_874()
{
    // event 742_3
    {
        // group: Bullet Redirectors
        sendup_132_instances.clear_selection();
        for (ObjectIterator it(sendup_132_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendup_132_instances.has_selection()) goto event_742_3_end;
        for (ObjectIterator it(sendup_132_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendUp'
        }
    }
    event_742_3_end: ;
}
void Frames::event_func_875()
{
    // event 743_3
    {
        // group: Bullet Redirectors
        sendright_134_instances.clear_selection();
        for (ObjectIterator it(sendright_134_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendright_134_instances.has_selection()) goto event_743_3_end;
        for (ObjectIterator it(sendright_134_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendRight'
        }
    }
    event_743_3_end: ;
}
void Frames::event_func_876()
{
    // event 744_3
    {
        // group: Bullet Redirectors
        sendleft_136_instances.clear_selection();
        for (ObjectIterator it(sendleft_136_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!sendleft_136_instances.has_selection()) goto event_744_3_end;
        for (ObjectIterator it(sendleft_136_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendLeft'
        }
    }
    event_744_3_end: ;
}
void Frames::event_func_877()
{
    // event 745_3
    {
        // group: Bullet Redirectors
        senddown_135_instances.clear_selection();
        for (ObjectIterator it(senddown_135_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (1))) { it.deselect(); continue; }
        }
        if (!senddown_135_instances.has_selection()) goto event_745_3_end;
        for (ObjectIterator it(senddown_135_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 0.01); // 'SendDown'
        }
    }
    event_745_3_end: ;
}
void Frames::event_func_878()
{
    // event 750_3
    {
        // group: Bullet Redirectors
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) != (0))) { it.deselect(); continue; }
        }
        if (!bullet_99_instances.has_selection()) goto event_750_3_end;
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Bullet'
        }
    }
    event_750_3_end: ;
}
void Frames::event_func_879()
{
    // event 754_3
    {
        // group: Eyeblock
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_754_3_end;
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_754_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_754_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_754_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_754_3_end: ;
}
void Frames::event_func_880()
{
    // event 755_3
    {
        // group: Eyeblock
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_755_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_755_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_755_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_755_3_end: ;
}
void Frames::event_func_881()
{
    // event 756_3
    {
        // group: Eyeblock
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_756_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_756_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_756_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_756_3_end: ;
}
void Frames::event_func_882()
{
    // event 757_3
    {
        // group: Eyeblock
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_757_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_757_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_757_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_757_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_757_3_end: ;
}
void Frames::event_func_883()
{
    // event 758_3
    {
        // group: Eyeblock
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_758_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_758_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_758_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_758_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_758_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_758_3_end: ;
}
void Frames::event_func_884()
{
    // event 759_3
    {
        // group: Eyeblock
        detector_72_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_759_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_759_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_759_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_759_3_end: ;
}
void Frames::event_func_885()
{
    // event 760_3
    {
        // group: Eyeblock
        player_71_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(player_71_instances, objeyeblock_147_instances)) goto event_760_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_760_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_y()) >= (((Active*)get_single(objeyeblock_147_instances, default_active_instance))->get_y()+18))) goto event_760_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+(((Active*)get_instance(player_71_instances))->get_y()-((Active*)get_single(objeyeblock_147_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_760_3_end: ;
}
void Frames::event_func_886()
{
    // event 761_3
    {
        // group: Eyeblock
        player_71_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(player_71_instances, objeyeblock_147_instances)) goto event_761_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_761_3_end;
        if (!((((Active*)get_instance(player_71_instances))->get_y()) < (((Active*)get_single(objeyeblock_147_instances, default_active_instance))->get_y()+18))) goto event_761_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()-(((Active*)get_instance(player_71_instances))->get_y()-((Active*)get_single(objeyeblock_147_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_761_3_end: ;
}
void Frames::event_func_887()
{
    // event 768_3
    {
        // group: Eyeblock
        objeyeblock_147_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_768_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_768_3_end: ;
}
void Frames::event_func_888()
{
    // event 769_3
    {
        // group: Eyeblock
        objeyeblock_147_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_769_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_769_3_end: ;
}
void Frames::event_func_889()
{
    // event 770_3
    {
        // group: Eyeblock
        objeyeblock_147_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_770_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-eyeblock'
        }
    }
    event_770_3_end: ;
}
void Frames::event_func_890()
{
    // event 771_3
    {
        // group: Eyeblock
        objeyeblock_147_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_147_instances.has_selection()) goto event_771_3_end;
        for (ObjectIterator it(objeyeblock_147_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-eyeblock'
        }
    }
    event_771_3_end: ;
}
void Frames::event_func_891()
{
    // event 773_3
    {
        // group: Eyeblock
        bullet_99_instances.clear_selection();
        objeyeblock_147_instances.clear_selection();
        if (!check_overlap(bullet_99_instances, objeyeblock_147_instances)) goto event_773_3_end;
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_773_3_end: ;
}
void Frames::event_func_892()
{
    // event 775_3
    {
        // group: Ded
        if (!((global_values->get(0)) <= (0))) goto event_775_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_775_3_0; single_instance_775_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(sprite_77_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_108(parent->x + 0, parent->y + -16), parent->layer);
                if (single_instance_775_3_0 == NULL)
                    single_instance_775_3_0 = new_obj;
            }
        }
        manager.ignore_controls = true;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(9, 1e+21); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.add(10, 1); // 'Player'
    }
    event_775_3_end: ;
}
void Frames::event_func_893()
{
    // event 776_3
    {
        // group: Ded
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(10)) >= (178))) goto event_776_3_end;
        if (not_always_776_3_0 > loop_count) {
            not_always_776_3_0 = loop_count + 2;
            goto event_776_3_end;
        }
        not_always_776_3_0 = loop_count + 2;
        global_values->set(3, 1);
        next_frame = 2 + 0;    
    
    }
    event_776_3_end: ;
}
void Frames::event_func_894()
{
    // event 777_3
    {
        // group: None
        player_71_instances.clear_selection();
        active5_12_instances.clear_selection();
        if (!check_overlap(player_71_instances, active5_12_instances)) goto event_777_3_end;
        next_frame = 4 + 0;    
    
    }
    event_777_3_end: ;
}
void Frames::event_func_895()
{
    // event 778_3
    {
        // group: None
        ((Text*)get_instance(extraguys_121_instances))->set_string(str_x_18+number_to_string(global_values->get(2)));
    }
    event_778_3_end: ;
}
void Frames::event_func_896()
{
    // event 780_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)+((Active*)*it)->alterables->values.get(6));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->set_angle(((Active*)*it)->get_angle()+((Active*)*it)->alterables->values.get(3), 0);
        }
    }
    event_780_3_end: ;
}
void Frames::event_func_897()
{
    // event 781_3
    {
        // group: Debris
        every_781_3_0 += manager.dt;
        if (every_781_3_0 < 0.07) goto event_781_3_end;
        every_781_3_0 -= 0.07;
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)*it)->alterables->values.get(2)); // 'debris'
        }
    }
    event_781_3_end: ;
}
void Frames::event_func_898()
{
    // event 782_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_782_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_782_3_end: ;
}
void Frames::event_func_899()
{
    // event 783_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (1))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_783_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_783_3_end: ;
}
void Frames::event_func_900()
{
    // event 784_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (2))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_784_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_784_3_end: ;
}
void Frames::event_func_901()
{
    // event 785_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (3))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_785_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_785_3_end: ;
}
void Frames::event_func_902()
{
    // event 786_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (4))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_786_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_786_3_end: ;
}
void Frames::event_func_903()
{
    // event 787_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (5))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_787_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_787_3_end: ;
}
void Frames::event_func_904()
{
    // event 788_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (6))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_788_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_788_3_end: ;
}
void Frames::event_func_905()
{
    // event 789_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (7))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_789_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_789_3_end: ;
}
void Frames::event_func_906()
{
    // event 790_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (8))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_790_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_790_3_end: ;
}
void Frames::event_func_907()
{
    // event 791_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (9))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_791_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_791_3_end: ;
}
void Frames::event_func_908()
{
    // event 792_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (10))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_792_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(22);
        }
    }
    event_792_3_end: ;
}
void Frames::event_func_909()
{
    // event 793_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (11))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_793_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(23);
        }
    }
    event_793_3_end: ;
}
void Frames::event_func_910()
{
    // event 794_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (12))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_794_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(24);
        }
    }
    event_794_3_end: ;
}
void Frames::event_func_911()
{
    // event 795_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        if (!check_not_overlap(debris_160_instances, screen_126_instances)) goto event_795_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_795_3_end: ;
}
void Frames::event_func_912()
{
    // event 797_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(25)) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_797_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(25);
        }
    }
    event_797_3_end: ;
}
void Frames::event_func_913()
{
    // event 798_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (2))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(26)) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_798_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(26);
        }
    }
    event_798_3_end: ;
}
void Frames::event_func_914()
{
    // event 799_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (3))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(27)) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_799_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(27);
        }
    }
    event_799_3_end: ;
}
void Frames::event_func_915()
{
    // event 800_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (4))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(28)) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_800_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(28);
        }
    }
    event_800_3_end: ;
}
void Frames::event_func_916()
{
    // event 801_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (1))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_801_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'debris'
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->alterables->values.get(0)*0.9); // 'debris'
        }
    }
    event_801_3_end: ;
}
void Frames::event_func_917()
{
    // event 802_3
    {
        // group: Debris
        debris_160_instances.clear_selection();
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!debris_160_instances.has_selection()) goto event_802_3_end;
        for (ObjectIterator it(debris_160_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, sin_deg(global_values->get(6)*115+(115*1.256*((Active*)*it)->alterables->values.get(3)))*3.0); // 'debris'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(3)+4)/MathHelper()/6.0);
        }
    }
    event_802_3_end: ;
}
void Frames::event_func_918()
{
    // event 807_3
    {
        // group: Bullet Powerup
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(12)) > (0))) goto event_807_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.sub(12, 1); // 'Player'
    }
    event_807_3_end: ;
}
