#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_419()
{
    // event 57_3
    {
        // group: Animations
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_57_3_end;
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_57_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Sprite'
        }
    }
    event_57_3_end: ;
}
void Frames::event_func_420()
{
    // event 58_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_58_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_58_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_58_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(22)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_58_3_end;
        if (is_player_pressed(1, CONTROL_DOWN)) goto event_58_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_58_3_end: ;
}
void Frames::event_func_421()
{
    // event 59_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_59_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_59_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_59_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_59_3_end: ;
}
void Frames::event_func_422()
{
    // event 60_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform_73_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform_73_instances)) goto event_60_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_60_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_60_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_60_3_end: ;
}
void Frames::event_func_423()
{
    // event 61_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_61_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_61_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_61_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_61_3_end: ;
}
void Frames::event_func_424()
{
    // event 64_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_64_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_64_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_64_3_end;
        if (not_always_64_3_0 > loop_count) {
            not_always_64_3_0 = loop_count + 2;
            goto event_64_3_end;
        }
        not_always_64_3_0 = loop_count + 2;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_64_3_end: ;
}
void Frames::event_func_425()
{
    // event 65_3
    {
        // group: Animations
        if (!(is_key_pressed_once(SDLK_w))) goto event_65_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_65_3_end: ;
}
void Frames::event_func_426()
{
    // event 66_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_66_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_66_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_66_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_66_3_end: ;
}
void Frames::event_func_427()
{
    // event 67_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_67_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_67_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_67_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_67_3_end: ;
}
void Frames::event_func_428()
{
    // event 68_3
    {
        // group: Animations
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_68_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_68_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_68_3_end: ;
}
void Frames::event_func_429()
{
    // event 69_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform_73_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform_73_instances)) goto event_69_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_69_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_69_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_69_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_69_3_end: ;
}
void Frames::event_func_430()
{
    // event 70_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_70_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_70_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_70_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_70_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_70_3_end: ;
}
void Frames::event_func_431()
{
    // event 71_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_71_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_71_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_71_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_71_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_71_3_end: ;
}
void Frames::event_func_432()
{
    // event 72_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_72_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_72_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_72_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_72_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_72_3_end: ;
}
void Frames::event_func_433()
{
    // event 73_3
    {
        // group: Animations
        if (((Active*)get_instance(detector_72_instances))->overlaps_background()) goto event_73_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, platform2_76_instances)) goto event_73_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) > (0))) goto event_73_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_73_3_end;
        player_71_instances.clear_selection();
        if (!check_not_overlap(player_71_instances, vertdetector_85_instances)) goto event_73_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, dissappear_131_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, platform_73_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, tntstatic_109_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, objenemygate_213_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, objcogblock_243_instances)) goto event_73_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock3_244_instances)) goto event_73_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_73_3_end: ;
}
void Frames::event_func_434()
{
    // event 74_3
    {
        // group: Animations
        if (((Active*)get_instance(detector_72_instances))->overlaps_background()) goto event_74_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, platform_73_instances)) goto event_74_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) <= (0))) goto event_74_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_74_3_end;
        player_71_instances.clear_selection();
        if (!check_not_overlap(player_71_instances, vertdetector_85_instances)) goto event_74_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, dissappear_131_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, platform2_76_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, tntstatic_109_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, objenemygate_213_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, objcogblock_243_instances)) goto event_74_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock3_244_instances)) goto event_74_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(7);
        }
    }
    event_74_3_end: ;
}
void Frames::event_func_435()
{
    // event 75_3
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_75_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_75_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_75_3_end;
        if (!((bullet_99_instances.size()) < (3))) goto event_75_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_75_3_end: ;
}
void Frames::event_func_436()
{
    // event 76_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_76_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_76_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_76_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_76_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_76_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_76_3_end: ;
}
void Frames::event_func_437()
{
    // event 77_3
    {
        // group: Animations
        platform_73_instances.clear_selection();
        if (!check_overlap(platform_73_instances, platform_73_instances)) goto event_77_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_77_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_77_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_77_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_77_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_77_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_77_3_end: ;
}
void Frames::event_func_438()
{
    // event 78_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_78_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_78_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_78_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_78_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_78_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_78_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_78_3_end: ;
}
void Frames::event_func_439()
{
    // event 79_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_79_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_79_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_79_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_79_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_79_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_79_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_79_3_end: ;
}
void Frames::event_func_440()
{
    // event 80_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_80_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_80_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_80_3_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_80_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_80_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_80_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_80_3_end: ;
}
void Frames::event_func_441()
{
    // event 81_3
    {
        // group: Animations
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_81_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'Sprite'
        }
    }
    event_81_3_end: ;
}
void Frames::event_func_442()
{
    // event 82_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_82_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_82_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_82_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_82_3_end: ;
}
void Frames::event_func_443()
{
    // event 83_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform_73_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform_73_instances)) goto event_83_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_83_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_83_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_83_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_83_3_end: ;
}
void Frames::event_func_444()
{
    // event 84_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_84_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_84_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_84_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_84_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_84_3_end: ;
}
void Frames::event_func_445()
{
    // event 85_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_85_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_85_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_85_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_85_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_85_3_end: ;
}
void Frames::event_func_446()
{
    // event 86_3
    {
        // group: Animations
        if (((Active*)get_instance(detector_72_instances))->overlaps_background()) goto event_86_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, platform_73_instances)) goto event_86_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) > (0))) goto event_86_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, dissappear_131_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, platform2_76_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, tntstatic_109_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, objenemygate_213_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, objcogblock_243_instances)) goto event_86_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock3_244_instances)) goto event_86_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_86_3_end: ;
}
void Frames::event_func_447()
{
    // event 87_3
    {
        // group: Animations
        if (((Active*)get_instance(detector_72_instances))->overlaps_background()) goto event_87_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, platform_73_instances)) goto event_87_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) <= (0))) goto event_87_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, dissappear_131_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, platform2_76_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, tntstatic_109_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, objenemygate_213_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, objcogblock_243_instances)) goto event_87_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock3_244_instances)) goto event_87_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_87_3_end: ;
}
void Frames::event_func_448()
{
    // event 88_3
    {
        // group: Animations
        if (((Active*)get_instance(detector_72_instances))->overlaps_background()) goto event_88_3_end;
        detector_72_instances.clear_selection();
        if (!check_not_overlap(detector_72_instances, platform_73_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, dissappear_131_instances)) goto event_88_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) > (0))) goto event_88_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_88_3_end;
        player_71_instances.clear_selection();
        if (!check_not_overlap(player_71_instances, vertdetector_85_instances)) goto event_88_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, vertdetector_85_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock_147_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, platform2_76_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, tntstatic_109_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, objenemygate_213_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, objcogblock_243_instances)) goto event_88_3_end;
        if (!check_not_overlap(detector_72_instances, objeyeblock3_244_instances)) goto event_88_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_88_3_end: ;
}
void Frames::event_func_449()
{
    // event 90_3
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_90_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_90_3_end: ;
}
void Frames::event_func_450()
{
    // event 91_3
    {
        // group: Animations
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) != (0))) goto event_91_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_91_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_91_3_end: ;
}
void Frames::event_func_451()
{
    // event 92_3
    {
        // group: Animations
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) != (0))) goto event_92_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_92_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_92_3_end: ;
}
void Frames::event_func_452()
{
    // event 93_3
    {
        // group: Animations
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_93_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_93_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_93_3_end: ;
}
void Frames::event_func_453()
{
    // event 94_3
    {
        // group: Animations
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_94_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_94_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_94_3_end: ;
}
void Frames::event_func_454()
{
    // event 95_3
    {
        // group: Animations
        player_71_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(player_71_instances, tntstatic_109_instances)) goto event_95_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_95_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_95_3_end: ;
}
void Frames::event_func_455()
{
    // event 96_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform_73_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform_73_instances)) goto event_96_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_96_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_96_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_96_3_end: ;
}
void Frames::event_func_456()
{
    // event 97_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_97_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_97_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_97_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_97_3_end: ;
}
void Frames::event_func_457()
{
    // event 98_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_98_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_98_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_98_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_98_3_end: ;
}
void Frames::event_func_458()
{
    // event 99_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_99_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_99_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_99_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_99_3_end: ;
}
void Frames::event_func_459()
{
    // event 100_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform_73_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform_73_instances)) goto event_100_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_100_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_100_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_100_3_end: ;
}
void Frames::event_func_460()
{
    // event 101_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        platform2_76_instances.clear_selection();
        if (!check_overlap(detector_72_instances, platform2_76_instances)) goto event_101_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_101_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_101_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_101_3_end: ;
}
void Frames::event_func_461()
{
    // event 102_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntstatic_109_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntstatic_109_instances)) goto event_102_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_102_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_102_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_102_3_end: ;
}
void Frames::event_func_462()
{
    // event 103_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        tntconveyor_117_instances.clear_selection();
        if (!check_overlap(detector_72_instances, tntconveyor_117_instances)) goto event_103_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_103_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) <= (0))) goto event_103_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_103_3_end: ;
}
void Frames::event_func_463()
{
    // event 104_3
    {
        // group: Animations
        detector_72_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(detector_72_instances, vertdetector_85_instances)) goto event_104_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_104_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_104_3_end: ;
}
void Frames::event_func_464()
{
    // event 105_3
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_72_instances))->overlaps_background())) goto event_105_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_105_3_end;
        if (!(is_player_pressed(1, CONTROL_DOWN))) goto event_105_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(23);
        }
    }
    event_105_3_end: ;
}
void Frames::event_func_465()
{
    // event 106_3
    {
        // group: Keys and Doors
        key_80_instances.clear_selection();
        player_71_instances.clear_selection();
        if (!check_overlap(key_80_instances, player_71_instances)) goto event_106_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.add(3, 1); // 'Player'
        for (ObjectIterator it(key_80_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_106_3_end: ;
}
void Frames::event_func_466()
{
    // event 107_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_107_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_107_3_end;
        if (!((((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)) != (0))) goto event_107_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_107_3_end;
        {
            FrameObject * parent = ((Active*)get_instance(camerashaker_225_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
        ((Active*)get_instance(screen_126_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x());
        ((Active*)get_instance(screen_126_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y());
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        ((Active*)get_instance(cameratarget_226_instances))->alterables->values.set(1, ((Active*)get_instance(player_71_instances))->alterables->values.get(1)); // 'camera-target'
        ((Active*)get_instance(active4_5_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x());
        ((Active*)get_instance(active4_5_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y());
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()-get_ceil((((Active*)get_instance(camerachaser_24_instances))->get_x()-((Active*)get_instance(cameratarget_226_instances))->get_x())/MathHelper()/5.0));
        ((Active*)get_instance(camerachaser_24_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()-get_floor((((Active*)get_instance(camerachaser_24_instances))->get_y()-((Active*)get_instance(cameratarget_226_instances))->get_y())/MathHelper()/5.0));
        ((Active*)get_instance(screencamlayerlg_230_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x());
        ((Active*)get_instance(screencamlayerlg_230_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y());
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
    }
    event_107_3_end: ;
}
void Frames::event_func_467()
{
    // event 108_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_108_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_108_3_end;
        if (!((((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)) == (0))) goto event_108_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_108_3_end;
        ((Active*)get_instance(active4_5_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x());
        ((Active*)get_instance(active4_5_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y());
        ((Active*)get_instance(screen_126_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x());
        ((Active*)get_instance(screen_126_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y());
        ((Active*)get_instance(screencamlayerlg_230_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x());
        ((Active*)get_instance(screencamlayerlg_230_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y());
        ((Active*)get_instance(cameratarget_226_instances))->alterables->values.set(1, ((Active*)get_instance(player_71_instances))->alterables->values.get(1)); // 'camera-target'
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()-get_ceil((((Active*)get_instance(camerachaser_24_instances))->get_x()-((Active*)get_instance(cameratarget_226_instances))->get_x())/MathHelper()/5.0)+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerachaser_24_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()-get_floor((((Active*)get_instance(camerachaser_24_instances))->get_y()-((Active*)get_instance(cameratarget_226_instances))->get_y())/MathHelper()/5.0));
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
        {
            FrameObject * parent = ((Active*)get_instance(camerashaker_225_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_108_3_end: ;
}
void Frames::event_func_468()
{
    // event 109_3
    bool or_result_109_3 = false;
    bool or_temp_result_109_3_0 = false;
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_112_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_112_instances)) goto or_event_109_3_0_end;
        or_result_109_3 = true;
        or_temp_result_109_3_0 = true;
    }
    or_event_109_3_0_end: ;
    active4_5_instances.clear_saved_selection();
    yonlyscroll_112_instances.clear_saved_selection();
    if (or_temp_result_109_3_0) {
        active4_5_instances.save_selection();
        yonlyscroll_112_instances.save_selection();
    }
    // event 109_3
    bool or_temp_result_109_3_1 = false;
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        lockxy_113_instances.clear_selection();
        if (!check_overlap(active4_5_instances, lockxy_113_instances)) goto or_event_109_3_1_end;
        camerashaker_225_instances.clear_selection();
        for (ObjectIterator it(camerashaker_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (0))) { it.deselect(); continue; }
        }
        if (!camerashaker_225_instances.has_selection()) goto or_event_109_3_1_end;
        or_result_109_3 = true;
        or_temp_result_109_3_1 = true;
        or_event_109_3_1_end: ;
        lockxy_113_instances.clear_saved_selection();
        camerashaker_225_instances.clear_saved_selection();
        if (or_temp_result_109_3_1) {
            lockxy_113_instances.save_selection();
            camerashaker_225_instances.save_selection();
            active4_5_instances.save_selection();
        }
        if (!or_result_109_3) goto or_final_or_event_109_3_1_end;
        active4_5_instances.empty_selection();
        camerashaker_225_instances.empty_selection();
        lockxy_113_instances.empty_selection();
        yonlyscroll_112_instances.empty_selection();
        if (or_temp_result_109_3_1) {
            lockxy_113_instances.restore_selection();
        }
        if (or_temp_result_109_3_1) {
            camerashaker_225_instances.restore_selection();
        }
        if (or_temp_result_109_3_0 || or_temp_result_109_3_1) {
            active4_5_instances.restore_selection();
        }
        if (or_temp_result_109_3_0) {
            yonlyscroll_112_instances.restore_selection();
        }
        for (ObjectIterator it(active4_5_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(player_71_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(player_71_instances, it.current_index, default_active_instance))->get_y());
        }
        screen_126_instances.clear_selection();
        for (ObjectIterator it(screen_126_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(camerachaser_24_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(camerachaser_24_instances, it.current_index, default_active_instance))->get_y());
        }
        screencamlayerlg_230_instances.clear_selection();
        for (ObjectIterator it(screencamlayerlg_230_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(player_71_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(player_71_instances, it.current_index, default_active_instance))->get_y());
        }
        cameratarget_226_instances.clear_selection();
        for (ObjectIterator it(cameratarget_226_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_instance(player_71_instances, it.current_index, default_active_instance))->alterables->values.get(1)); // 'camera-target'
        }
        camerachaser_24_instances.clear_selection();
        for (ObjectIterator it(camerachaser_24_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-get_ceil((((Active*)*it)->get_x()-((Active*)get_single(cameratarget_226_instances, it.current_index, default_active_instance))->get_x())/MathHelper()/5.0));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-get_floor((((Active*)*it)->get_y()-((Active*)get_single(cameratarget_226_instances, it.current_index, default_active_instance))->get_y())/MathHelper()/5.0));
        }
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        camerashaker_225_instances.clear_selection();
        for (ObjectIterator it(camerashaker_225_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(camerachaser_24_instances, it.current_index, default_active_instance))->get_x()+((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->set_y(((Active*)get_instance(camerachaser_24_instances, it.current_index, default_active_instance))->get_y()+((Active*)*it)->alterables->values.get(0));
        }
        {
            FrameObject * parent = ((Active*)get_single(camerashaker_225_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    or_final_or_event_109_3_1_end: ;
}
void Frames::event_func_469()
{
    // event 113_3
    {
        // group: Scrolling
        screencamlayercamera_231_instances.clear_selection();
        camerabarrierx_229_instances.clear_selection();
        if (!check_overlap(screencamlayercamera_231_instances, camerabarrierx_229_instances)) goto event_113_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->alterables->values.set(1, 0); // 'camera-target'
    }
    event_113_3_end: ;
}
void Frames::event_func_470()
{
    // event 117_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        xonlyscroll_111_instances.clear_selection();
        if (!check_overlap(active4_5_instances, xonlyscroll_111_instances)) goto event_117_3_end;
        screencamlayerlg_230_instances.clear_selection();
        camerabarrierx_229_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_117_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_117_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_229_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_230_instances))->get_x())));
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_single(xonlyscroll_111_instances, default_active_instance))->get_y());
    }
    event_117_3_end: ;
}
void Frames::event_func_471()
{
    // event 118_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, xonlyscroll_111_instances)) goto event_118_3_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_118_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_118_3_end;
        screencamlayerlg_230_instances.clear_selection();
        camerabarrierx_229_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_118_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_118_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_229_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_230_instances))->get_x())));
    }
    event_118_3_end: ;
}
void Frames::event_func_472()
{
    // event 119_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_112_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_119_3_end;
        screencamlayerlg_230_instances.clear_selection();
        camerabarrierx_229_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_119_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_119_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_single(yonlyscroll_112_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(2));
    }
    event_119_3_end: ;
}
void Frames::event_func_473()
{
    // event 120_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        lockxy_113_instances.clear_selection();
        if (!check_overlap(active4_5_instances, lockxy_113_instances)) goto event_120_3_end;
        screencamlayerlg_230_instances.clear_selection();
        camerabarrierx_229_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_120_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_120_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_single(lockxy_113_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_single(lockxy_113_instances, default_active_instance))->get_y());
    }
    event_120_3_end: ;
}
void Frames::event_func_474()
{
    // event 121_3
    {
        // group: Scrolling
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_121_3_end;
        xonlyscroll_111_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(xonlyscroll_111_instances, active4_5_instances)) goto event_121_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_121_3_end;
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_121_3_end: ;
}
void Frames::event_func_475()
{
    // event 122_3
    {
        // group: Scrolling
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_122_3_end;
        xonlyscroll_111_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(xonlyscroll_111_instances, active4_5_instances)) goto event_122_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_122_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0));
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_single(xonlyscroll_111_instances, default_active_instance))->get_y());
    }
    event_122_3_end: ;
}
void Frames::event_func_476()
{
    // event 123_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, xonlyscroll_111_instances)) goto event_123_3_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_123_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_123_3_end;
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_123_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_123_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0));
    }
    event_123_3_end: ;
}
void Frames::event_func_477()
{
    // event 124_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_112_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_124_3_end;
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_124_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_124_3_end;
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_124_3_end: ;
}
void Frames::event_func_478()
{
    // event 125_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_112_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_125_3_end;
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_125_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_125_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_single(yonlyscroll_112_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(2));
    }
    event_125_3_end: ;
}
void Frames::event_func_479()
{
    // event 126_3
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        lockxy_113_instances.clear_selection();
        if (!check_overlap(active4_5_instances, lockxy_113_instances)) goto event_126_3_end;
        screencamlayerlg_230_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_230_instances, camerabarrierx_229_instances)) goto event_126_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_126_3_end;
        ((Active*)get_instance(cameratarget_226_instances))->set_x(((Active*)get_single(lockxy_113_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_226_instances))->set_y(((Active*)get_single(lockxy_113_instances, default_active_instance))->get_y());
    }
    event_126_3_end: ;
}
void Frames::event_func_480()
{
    // event 127_3
    {
        // group: Scrolling
        camerachaser_24_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_24_instances, active4_5_instances)) goto event_127_3_end;
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_x()) < (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_127_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_127_3_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_127_3_end;
        if (!((((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)) == (0))) goto event_127_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_127_3_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+1);
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
    }
    event_127_3_end: ;
}
void Frames::event_func_481()
{
    // event 128_3
    {
        // group: Scrolling
        camerachaser_24_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_24_instances, active4_5_instances)) goto event_128_3_end;
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_x()) > (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_128_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_128_3_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_112_instances)) goto event_128_3_end;
        if (!((((Active*)get_instance(cameratarget_226_instances))->alterables->values.get(0)) == (0))) goto event_128_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_128_3_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()-1);
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
    }
    event_128_3_end: ;
}
void Frames::event_func_482()
{
    // event 129_3
    {
        // group: Scrolling
        camerachaser_24_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_24_instances, active4_5_instances)) goto event_129_3_end;
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_y()) < (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_129_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_129_3_end;
        if (!check_not_overlap(active4_5_instances, xonlyscroll_111_instances)) goto event_129_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_129_3_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+1);
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
    }
    event_129_3_end: ;
}
void Frames::event_func_483()
{
    // event 130_3
    {
        // group: Scrolling
        camerachaser_24_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_24_instances, active4_5_instances)) goto event_130_3_end;
        if (!((((Active*)get_instance(camerachaser_24_instances))->get_y()) > (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_130_3_end;
        if (!check_not_overlap(active4_5_instances, lockxy_113_instances)) goto event_130_3_end;
        if (!check_not_overlap(active4_5_instances, xonlyscroll_111_instances)) goto event_130_3_end;
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(5)) == (0))) goto event_130_3_end;
        ((Active*)get_instance(camerachaser_24_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()-1);
        ((Active*)get_instance(camerashaker_225_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_225_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y()+((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(0));
    }
    event_130_3_end: ;
}
void Frames::event_func_484()
{
    // event 131_3
    {
        // group: Scrolling
        ((Active*)get_instance(screencamlayercamera_231_instances))->set_x(((Active*)get_instance(camerachaser_24_instances))->get_x());
        ((Active*)get_instance(screencamlayercamera_231_instances))->set_y(((Active*)get_instance(camerachaser_24_instances))->get_y());
        {
            loop_camcheck1_running = true;
            int times = int(10);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_3();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_131_3_end: ;
}
void Frames::event_func_485()
{
    // event 132_3
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(2)) > (0))) goto event_132_3_end;
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(1, randrange_event(2*((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(2))-((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(2)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, (((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(2)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_132_3_end: ;
}
void Frames::event_func_486()
{
    // event 133_3
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(2)) <= (0))) goto event_133_3_end;
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(1, 0); // 'camera shaker'
    }
    event_133_3_end: ;
}
void Frames::event_func_487()
{
    // event 134_3
    {
        // group: Scrolling
        if (!((global_values->get(11)) == (0))) goto event_134_3_end;
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(1, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_134_3_end: ;
}
void Frames::event_func_488()
{
    // event 135_3
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(3)) > (0))) goto event_135_3_end;
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(0, randrange_event(2*((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(3))-((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(3)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, (((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(3)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_135_3_end: ;
}
void Frames::event_func_489()
{
    // event 136_3
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_225_instances))->alterables->values.get(3)) <= (0))) goto event_136_3_end;
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_225_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_136_3_end: ;
}
void Frames::event_func_490()
{
    // event 138_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        vertplatform_84_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, vertplatform_84_instances)) goto event_138_3_end;
        for (ObjectIterator it(vertplatform_84_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(vertdetector_85_instances, it.current_index));
            if (parent == NULL) goto pos_end_138_3_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 1);
            pos_end_138_3_0: ;
        }
    }
    event_138_3_end: ;
}
void Frames::event_func_491()
{
    // event 139_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_139_3_end: ;
}
void Frames::event_func_492()
{
    // event 141_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        objliftreverse_157_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, objliftreverse_157_instances)) goto event_141_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (2))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_141_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_141_3_end: ;
}
void Frames::event_func_493()
{
    // event 142_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        objliftreverse_157_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, objliftreverse_157_instances)) goto event_142_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (-2))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_142_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_142_3_end: ;
}
void Frames::event_func_494()
{
    // event 143_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        enemydown_138_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, enemydown_138_instances)) goto event_143_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_143_3_end: ;
}
void Frames::event_func_495()
{
    // event 144_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        enemyup_140_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, enemyup_140_instances)) goto event_144_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_144_3_end: ;
}
void Frames::event_func_496()
{
    // event 147_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        player_71_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, player_71_instances)) goto event_147_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) < (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_147_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(6)) == (0))) goto event_147_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_147_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_single(vertdetector_85_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_71_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_147_3_end: ;
}
void Frames::event_func_497()
{
    // event 148_3
    {
        // group: Vert Platforms
        vertdetector_85_instances.clear_selection();
        player_71_instances.clear_selection();
        if (!check_overlap(vertdetector_85_instances, player_71_instances)) goto event_148_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_148_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(6)) == (0))) goto event_148_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) >= (0))) goto event_148_3_end;
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_single(vertdetector_85_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, 0); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_148_3_end: ;
}
void Frames::event_func_498()
{
    // event 150_3
    {
        // group: Vert Platforms
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_150_3_end;
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_150_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_150_3_end;
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()+3);
    }
    event_150_3_end: ;
}
void Frames::event_func_499()
{
    // event 151_3
    {
        // group: Vert Platforms
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_151_3_end;
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_151_3_end;
        for (ObjectIterator it(vertdetector_85_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_85_instances.has_selection()) goto event_151_3_end;
        ((Active*)get_instance(player_71_instances))->set_x(((Active*)get_instance(player_71_instances))->get_x()-3);
    }
    event_151_3_end: ;
}
void Frames::event_func_500()
{
    // event 152_3
    {
        // group: Vert Platforms
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_152_3_end;
        player_71_instances.clear_selection();
        vertdetector_85_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertdetector_85_instances)) goto event_152_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(2, 1); // 'Player'
        ((Active*)get_instance(player_71_instances))->alterables->values.set(6, 1); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(sprite_77_instances, default_active_instance))->get_y()-20);
    }
    event_152_3_end: ;
}
void Frames::event_func_501()
{
    // event 153_3
    {
        // group: Vert Platforms
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) > (0))) goto event_153_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(6, 0); // 'Player'
    }
    event_153_3_end: ;
}
void Frames::event_func_502()
{
    // event 154_3
    {
        // group: Vert Platforms
        player_71_instances.clear_selection();
        vertplatform_84_instances.clear_selection();
        if (!check_overlap(player_71_instances, vertplatform_84_instances)) goto event_154_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(0)) < (0))) goto event_154_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(0, 2); // 'Player'
        ((Active*)get_instance(player_71_instances))->set_y(((Active*)get_instance(player_71_instances))->get_y()+3);
    }
    event_154_3_end: ;
}
void Frames::event_func_503()
{
    // event 155_3
    {
        // group: Fans
        player_71_instances.clear_selection();
        objfan_103_instances.clear_selection();
        if (!check_overlap(player_71_instances, objfan_103_instances)) goto event_155_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_155_3_end: ;
}
void Frames::event_func_504()
{
    // event 156_3
    {
        // group: Fans
        player_71_instances.clear_selection();
        objfan_103_instances.clear_selection();
        if (!check_overlap(player_71_instances, objfan_103_instances)) goto event_156_3_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto event_156_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.add(0, 0.45); // 'Player'
    }
    event_156_3_end: ;
}
void Frames::event_func_505()
{
    // event 161_3
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_94_instances))->animation_finished == 1)) goto event_161_3_end;
        trapdoor_93_instances.clear_selection();
        for (ObjectIterator it(trapdoor_93_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(inputcoordinatorsecretary_94_instances))->alterables->values.set(0, 1); // 'input co-ordinator (secretary)'
    }
    event_161_3_end: ;
}
void Frames::event_func_506()
{
    // event 162_3
    {
        // group: Story events
        player_71_instances.clear_selection();
        lgflattener_97_instances.clear_selection();
        if (!check_overlap(player_71_instances, lgflattener_97_instances)) goto event_162_3_end;
        for (ObjectIterator it(lgflattener_97_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(false);
        }
        FrameObject * single_instance_162_3_0; single_instance_162_3_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(lgflattener_97_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active13_98(parent->x + 0, parent->y + -28), parent->layer);
                if (single_instance_162_3_0 == NULL)
                    single_instance_162_3_0 = new_obj;
            }
        }
    }
    event_162_3_end: ;
}
void Frames::event_func_507()
{
    // event 163_3
    {
        // group: Story events
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!sprite_77_instances.has_selection()) goto event_163_3_end;
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
        manager.ignore_controls = false;
    }
    event_163_3_end: ;
}
void Frames::event_func_508()
{
    // event 164_3
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_94_instances))->test_animation(1))) goto event_164_3_end;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_164_3_end: ;
}
void Frames::event_func_509()
{
    // event 166_3
    {
        // group: Story events
        active13_20_instances.clear_selection();
        for (ObjectIterator it(active13_20_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!active13_20_instances.has_selection()) goto event_166_3_end;
        for (ObjectIterator it(active13_20_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        manager.ignore_controls = false;
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(true);
        }
    }
    event_166_3_end: ;
}
void Frames::event_func_510()
{
    // event 167_3
    {
        // group: Story events
        player_71_instances.clear_selection();
        obscuretastictiles_95_instances.clear_selection();
        if (!check_overlap(player_71_instances, obscuretastictiles_95_instances)) goto event_167_3_end;
        ((Active*)get_instance(obscuretastictiles_95_instances))->move_front();
    }
    event_167_3_end: ;
}
void Frames::event_func_511()
{
    // event 168_3
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_168_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_168_3_end;
        if (!((bullet_99_instances.size()) < (3))) goto event_168_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_168_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) == (0))) goto event_168_3_end;
        if (not_always_168_3_0 > loop_count) {
            not_always_168_3_0 = loop_count + 2;
            goto event_168_3_end;
        }
        not_always_168_3_0 = loop_count + 2;
        FrameObject * single_instance_168_3_1; single_instance_168_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_99(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_168_3_1 == NULL)
                    single_instance_168_3_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_168_3_1))->alterables->values.set(0, 7*((Active*)get_instance(player_71_instances))->alterables->values.get(13)); // 'Bullet'
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_168_3_1))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_168_3_1))->alterables->values.set(5, ((Active*)get_instance(player_71_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_168_3_1))->alterables->values.set(4, ((Active*)get_instance(player_71_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_168_3_1))->force_animation(((Active*)get_instance(player_71_instances))->alterables->values.get(14));
    }
    event_168_3_end: ;
}
void Frames::event_func_512()
{
    // event 169_3
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_169_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (1))) goto event_169_3_end;
        if (!((bullet_99_instances.size()) < (3))) goto event_169_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_169_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) == (0))) goto event_169_3_end;
        if (not_always_169_3_0 > loop_count) {
            not_always_169_3_0 = loop_count + 2;
            goto event_169_3_end;
        }
        not_always_169_3_0 = loop_count + 2;
        FrameObject * single_instance_169_3_1; single_instance_169_3_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_99(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_169_3_1 == NULL)
                    single_instance_169_3_1 = new_obj;
            }
        }
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_169_3_1))->alterables->values.set(0, 7*((Active*)get_instance(player_71_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_169_3_1))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_169_3_1))->alterables->values.set(5, ((Active*)get_instance(player_71_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_169_3_1))->alterables->values.set(4, ((Active*)get_instance(player_71_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_169_3_1))->force_animation(((Active*)get_instance(player_71_instances))->alterables->values.get(14));
    }
    event_169_3_end: ;
}
void Frames::event_func_513()
{
    // event 170_3
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_170_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_170_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(5, 0); // 'Player'
    }
    event_170_3_end: ;
}
void Frames::event_func_514()
{
    // event 171_3
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_171_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_171_3_end;
        ((Active*)get_instance(player_71_instances))->alterables->values.set(5, 1); // 'Player'
    }
    event_171_3_end: ;
}
void Frames::event_func_515()
{
    // event 172_3
    {
        // group: Guns!
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_near_border(-6))) { it.deselect(); continue; }
        }
        if (!bullet_99_instances.has_selection()) goto event_172_3_end;
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_172_3_end: ;
}
void Frames::event_func_516()
{
    // event 173_3
    {
        // group: Guns!
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!bullet_99_instances.has_selection()) goto event_173_3_end;
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_173_3_end: ;
}
void Frames::event_func_517()
{
    // event 174_3
    {
        // group: Guns!
        bullet_99_instances.clear_selection();
        for (ObjectIterator it(bullet_99_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x((((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(3)));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(2)));
        }
    }
    event_174_3_end: ;
}
void Frames::event_func_518()
{
    // event 175_3
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_175_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(5)) == (0))) goto event_175_3_end;
        if (!((bullet_99_instances.size()) < (3))) goto event_175_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(8)) == (0))) goto event_175_3_end;
        if (!((((Active*)get_instance(player_71_instances))->alterables->values.get(4)) != (0))) goto event_175_3_end;
        FrameObject * single_instance_175_3_0; single_instance_175_3_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_71_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_99(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_175_3_0 == NULL)
                    single_instance_175_3_0 = new_obj;
            }
        }
        sprite_77_instances.clear_selection();
        for (ObjectIterator it(sprite_77_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_175_3_0))->alterables->values.set(0, 12*((Active*)get_instance(player_71_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_175_3_0))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_175_3_0))->alterables->values.set(5, ((Active*)get_instance(player_71_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_175_3_0))->alterables->values.set(4, ((Active*)get_instance(player_71_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_175_3_0))->force_animation(((Active*)get_instance(player_71_instances))->alterables->values.get(14));
    }
    event_175_3_end: ;
}
